############################################################################
#
# filechucker_prefs.cgi - free version
# Version: 4.99e-free-e02
#
# NOTE: there are many preferences ("prefs") in this file, but virtually all
# of them are *optional* and can be left at their default values.  The app
# will tell you (via web browser) about any prefs that absolutely must be 
# set or adjusted.  It's best to start by reading the FAQ rather than trying
# to read through all the prefs right away:
#
# 	http://encodable.com/filechucker/faq
#
############################################################################
#
# PREFs Table of Contents:
#
# PREFs Section 01: Quick-Start Settings.
# PREFs Section 02: Paths and Directories.
#
#   *Note: stop here and get the script running before customizing anything else.
#
# PREFs Section 03: Security.		[most prefs removed in Free version]
# PREFs Section 04: User-directories.	[not available in Free version]
# PREFs Section 05: Subdirectories.
#
#   *Note: User-directories and subdirectories are two separate things.
#
# PREFs Section 06: Email Notification.	[not available in Free version]
# PREFs Section 07: Upload Form Configuration.
# PREFs Section 08: Upload Restrictions.
# PREFs Section 09: Processing Uploads.
# PREFs Section 10: Post-Upload.
# PREFs Section 11: File-List Configuration.	[most prefs removed in Free version]
# PREFs Section 12: Database Setup.	[not available in Free version]
# PREFs Section 13: Image Options.	[not available in Free version]
# PREFs Section 14: Comments.		[not available in Free version]
# PREFs Section W: Templates.
# PREFs Section X: Internationalization and Localization.
# PREFs Section Y: Styling.
# PREFs Section Z: Misc Settings Not Usually Needed.
#
# PREFs Section C: Common Settings (used by multiple Encodable apps)
#
############################################################################








# PREFs Section 01: Quick-Start Settings.
############################################################################
# This section contains some of the most commonly-changed settings.
#
$PREF{enable_upload_page}				= 'yes';
$PREF{enable_download_page}				= 'yes';
$PREF{enable_administration_page}			= 'yes';









# PREFs Section 02: Paths and Directories.
############################################################################
# We'll detect your server's document-root automatically, but on some
# servers you may need to uncomment this and specify it manually.  IIS users
# may need to set it like this:
#
#	$PREF{DOCROOT} = 'c:\inetpub\wwwroot';
#
#$PREF{DOCROOT}						= $ENV{DOCUMENT_ROOT};



# PREFs Section 02: Paths and Directories.
############################################################################
# The uploaded_files_dir is where the uploaded files will go.  It must be
# world-readable and world-writable, aka "chmod a+rwx" or "chmod 0777".
#
# On most servers this will be in the DOCROOT, in which case we'll prepend
# your DOCROOT to whatever you set uploaded_files_dir to.  If for some
# reason you want to specify it with an absolute path, or a path that's
# relative to the current directory instead of the DOCROOT, then set the 
# _is_in_docroot PREF to no.
#
# If you want your admin user(s) to have a different uploads folder, set
# $PREF{uploaded_files_dir___admin} to that.  But note that this isn't
# needed in the vast majority of installations.  If you want private per-user
# folders, then use userdirs (PREFs Section 04) instead.
#
# You can adjust various other paths here too.
#
$PREF{uploaded_files_dir}				= '/upload/files';
$PREF{uploaded_files_dir___admin}			= '';   # not used in most cases.
$PREF{uploaded_files_dir_is_in_docroot}			= 'yes';
$PREF{try_to_create_uploaded_files_dir_if_necessary}	= 'no';
$PREF{app_images_url}					= '/upload/fc_icons_etc';



# PREFs Section 02: Paths and Directories.
############################################################################
# If you've renamed FileChucker's top-level "upload" folder to something
# else, then adjust this setting to match your new name/location for it.
# But in most cases that folder shouldn't be moved, and this setting
# shouldn't be changed.
#
$PREF{app_base_folder}					= '/upload';



# PREFs Section 02: Paths and Directories.
############################################################################
# If you set uploaded_files_dir to a path outside your webspace, then we 
# won't be able to directly link to the files from your website, because
# they aren't in the DOCROOT.  If you're doing something like manually
# moving the files to somewhere else within your DOCROOT afterwards, then 
# enter that path here.  Otherwise just leave this commented out.  Note:
# don't include an ending slash on this.
#
#$PREF{uploaded_files_urlpath}				= '';



# PREFs Section 02: Paths and Directories.
############################################################################
# This is our working directory.  This must be world-readable and
# world-writable (aka "chmod a+rwx" or 0777).  By default, we set its
# _in_docroot PREF to 'no' because by default the data directory gets placed
# at the same location as the filechucker.cgi script itself, so we don't
# need to prepend the value of DOCROOT onto it; we can access it directly
# since it's in the same dir we're running in.  The default settings are:
#
#	$PREF{datadir}			= 'encdata';
#	$PREF{datadir_is_in_docroot}	= 'no';
#
# Alternatively you can set it with an absolute path, like this:
#
#	$PREF{datadir}			= '/var/www/example.com/cgi-bin/encdata';
#	$PREF{datadir_is_in_docroot}	= 'no';
#
# Or this:
#
#	$PREF{datadir}			= 'c:\inetpub\wwwroot\cgi-bin\encdata';
#	$PREF{datadir_is_in_docroot}	= 'no';
#
$PREF{datadir}						= 'encdata';
$PREF{datadir_is_in_docroot}				= 'no';



# PREFs Section 02: Paths and Directories.
############################################################################
# If you want to access FileChucker at a short URL like yoursite.com/upload/
# instead of yoursite.com/cgi-bin/filechucker.cgi, and/or you want to embed
# FileChucker within another page on your site, then you can set $PREF{here}
# to that shorter URL (e.g. $PREF{here} = '/upload/';) to make FileChucker's
# internal links use the short URL instead of the filechucker.cgi URL.  See
# this FAQ item for details: http://encodable.com/filechucker/faq/#embed
# But note that the default value of 'auto' will do this automatically in
# most cases, so you usually don't need to change this.
#
$PREF{here}						= 'auto';
#
# The rest of these will automatically be set to the same value as the
# $PREF{here} setting, so you don't need to adjust them unless for some
# reason you've got multiple different URLs set up for the script's various
# pages, which you probably shouldn't.
#
#$PREF{here_uploader}					= $ENV{SCRIPT_NAME};
$PREF{here_popupstatus}					= $ENV{SCRIPT_NAME}; # this should be $ENV{SCRIPT_NAME} in most cases.
#$PREF{here_uploadcomplete}				= $ENV{SCRIPT_NAME};
#$PREF{here_filelist}					= $ENV{SCRIPT_NAME};
#$PREF{here_login}					= $ENV{SCRIPT_NAME};
#$PREF{here_error}					= $ENV{SCRIPT_NAME};









# PREFs Section 03: Security.
############################################################################
# If you're running an HTTPS server, and you want FileChucker to always
# use secure links, then uncomment $PREF{protoprefix} and change it to
# https://.  But note that this only affects links generated by FileChucker
# itself; it doesn't prevent your users from typing http:// (without the "s")
# into their address bar.  For that, you'll need to enable $PREF{force_https}.
# 
#$PREF{protoprefix}					= 'http://';
$PREF{force_https}					= 'no';



# PREFs Section 03: Security.
############################################################################
# Directory permissions: these should usually be 0777; on some servers, you
# may be able to get away with using less-permissive settings like 0755 or
# even 0700 instead.
#
# File permissions: these should usually be 0666; on some servers, you
# may be able to get away with using less-permissive settings like 0644 or
# even 0600 instead.
#
$PREF{writable_dir_perms}				= 0777;		# no quotes. default is 0777.
$PREF{writable_file_perms}				= 0666;		# no quotes. default is 0666.








# PREFs Section 05: Subdirectories.
############################################################################
# In most cases this should be enabled.  For example if you want to use
# userdirs then you can't disable subdirs, and in fact $PREF{enable_userdirs}
# will automatically turn on $PREF{enable_subdirs}.  Only disable this if you
# really want a single-level uploads folder without any subfolders.
#
$PREF{enable_subdirs}					= 'yes';



# PREFs Section 05: Subdirectories.
############################################################################
# Allow users to create new subdirectories (but only within your
# uploaded_files_dir, of course).  You can also choose to only
# display a single "New subdir" textbox, even when the user is
# uploading multiple files, so that all the files in that one
# upload session will go into the same new subdirectory.  And if
# you want your users to be able to include multiple levels in
# the names of their new subdirs (i.e. create nested subdirs all
# at once) then set allow_multiple_levels_in_new_subdirs to 'yes'.
#
$PREF{only_allow_one_subdir_dropdown_per_upload}	= 'yes';
$PREF{show_the_create_new_subdir_field_on_upload_form}	= 'yes';
$PREF{only_allow_one_new_subdir_per_upload}		= 'yes';
$PREF{max_num_of_subdir_levels}				= 5;
$PREF{max_length_of_new_subdir_names}			= 25;
$PREF{allow_multiple_levels_in_new_subdirs}		= 'no';



# PREFs Section 05: Subdirectories.
############################################################################
# FileChucker can automatically create a new subdirectory for each upload,
# and you can specify the name of this new subdirectory here.  It can
# include values from the user's cookies, from the URL, from any extra
# formfields that you have configured (see PREFs Section 07), and from the
# current date/time.
#
# Note that you must also set the enable_subdirs option (above), and also
# allow_multiple_levels_in_new_subdirs if you're specifying multiple levels
# here.
#
# To include variables from either the URL or from a cookie, use the format
# %URL{varname} or %COOKIE{cookiename}.  To use values that the user types
# into your form fields, use the format %FIELD{shortname}.  For example if
# you have $PREF{formfield_01_shortname} = 'company', then you can use 
# %FIELD{company}.  And you can include the value of any PREF by using
# %PREF{pref_name}.
#
# You can also use variables of the form %DATE{%v} to insert date/time values
# based on the standard date formatting variables; search the internet for the
# terms "unix man pages: date (1)" (or just run "man date" on any Unix system)
# for more information on the date format.  To use an offset date rather than
# the current date, use %DATE{%v}{now+5d}, where "now" is literally "now", the
# sign can be + or -, the number can be any number, and the final letter can be
# s, m, h, d, or b, for seconds, minutes, hours, days, or business days (i.e. 
# no weekends).
#
# If you're using an upload counter number (see $PREF{enable_upload_counter_number}
# in PREFs Section 09) you can include its value in your automatic new subdir
# name by using the variable #C.
#
# Anything not preceded by a percent-sign or a pound-sign will be passed 
# straight through as literal text.
#
# For example, if you set:
#
#	$PREF{automatic_new_subdir_name} = 'Job-%DATE{%Y%m%d}-%COOKIE{company}';
#
# ...and the user has a cookie called "company" set to "MyCo", and the date is
# say Feb 28 2006, then the new subdir will be named:
#
#	Job-20060228-MyCo
#
# Finally note that to disable this, you must comment it out or set
# it to null ('').
#
$PREF{automatic_new_subdir_name}			= '';



# PREFs Section 05: Subdirectories.
############################################################################
# When a new folder is created during an upload, either by the user choosing
# to create a new one on the upload form, or by automatic_new_subdir_name,
# we'll serialize it (add _01 to the end of its name) if a folder by that
# name already exists, unless you disable this.
#
$PREF{serialize_new_folders}				= 'yes';



# PREFs Section 05: Subdirectories.
############################################################################
# If you want to enable subdirectories, but do not want your users to be
# able to see the list of subdirectories on the upload form, then you can
# disable this.
#
# Whether or not this drop-down is displayed, you can pass ?path=/some/subdir/
# on the URL to specify the destination directory for the uploaded files.
# If the drop-down is displayed, then this has the effect of selecting the
# specified path by default, but the user can still change it.  If the drop-
# down is not displayed, then the path specified on the URL will be forced.
# Note that the $PREF{hide_path_to_uploads_dir} setting (PREFs Section 03)
# affects this option; if that setting is enabled, then the path specified on
# the URL must not include $PREF{uploaded_files_dir} on the front.  And
# conversely, if $PREF{hide_path_to_uploads_dir} is disabled, then the path
# specified on the URL *must* include $PREF{uploaded_files_dir} on the front.
#
# If you want to limit the options shown in the subdir selection field, you
# can pass ?dirlist=foo/bar/baz on the URL, which will cause FileChucker to
# hide any folders in the list whose paths don't match foo/bar/baz.
#
# If display_dropdown_box_for_subdir_selection is disabled, and userdirs
# are enabled, then the logged-in user's userdir will be the subdir used
# for the uploaded file(s).
#
$PREF{display_dropdown_box_for_subdir_selection}	= 'yes';
$PREF{hide_subdir_dropdown_when_passed_on_url}		= 'no';



# PREFs Section 05: Subdirectories.
############################################################################
# A relatively frequent request is for the ability to allow uploads to
# subdirectories of your $PREF{uploaded_files_dir} folder, but not to
# that folder itself.  This option enables that behavior.
#
$PREF{force_all_uploads_into_subdirectories}		= 'no';









# PREFs Section 07: Upload Form Configuration.
############################################################################
# Title appearing at the top of the page.  This can contain HTML, or can be
# just a plain text word/phrase.  You can also set different per-page titles
# for _uploader, _filelist, etc.  You can also adjust $PREF{title_text}, 
# which is used in contexts where HTML isn't allowed, such as the browser's
# title bar.
#
$PREF{title}						= '<h1 id="fctitle"><img src="%PREF{app_images_url}/fclogo-10-whitebg.png" style="width:380px; height:56px; border:0;" alt="FileChucker" /></h1>';
$PREF{title_text}					= 'FileChucker';
$PREF{title_uploader}					= '%PREF{title}';
$PREF{title_popupstatus}				= '%PREF{title}';
$PREF{title_uploadcomplete}				= '%PREF{title}';
$PREF{title_filelist}					= '%PREF{title}';
$PREF{title_login}					= '%PREF{title}';
$PREF{title_error}					= '%PREF{title}';
$PREF{title_default}					= '%PREF{title}';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# You may wish to allow your users to submit the form without including
# any files (i.e. if you've enabled some other form fields for collecting
# text input, and files will just be optional).  In that case, enable the
# _without_files setting here.  Or if you want to totally disable the file 
# fields, then set $PREF{num_default_file_elements} = 0 in PREFs Section 08.
#
$PREF{allow_form_submissions_without_files}		= 'no';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# By default the upload form lets the user choose an existing subfolder to
# upload into AND enter the name of a new subfolder to create -- which will
# be created within the chosen existing subfolder.  But in some situations
# you may want these options to be mutually exclusive; for example, if
# you're using FileChucker as a photo album app, then you might not want to
# have nested subfolders, so any entered new subfolder name should be 
# created in the top level, rather than in the chosen subfolder.  That's
# what this setting controls.
#
$PREF{ignore_chosen_subdir_during_upload_if_new_subdir_entered} = 'no';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# Miscellaneous mostly-self-explanatory options:
#
$PREF{add_new_file_upload_fields_automatically}		= 'yes';
$PREF{show_add_another_file_link}			= 'no';
$PREF{add_another_file_link}				= qq`\n<div id="addanotherfile"><a href="#" onclick="add_file_element();return false">%TEXT{Add_another_file_}</a></div>`;
$PREF{extra_file_field_removal_link_attribs}		= '';
$PREF{extra_HTML_output_just_before_file_fields}	= '';
$PREF{extra_HTML_output_just_after_file_fields}		= '';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# This shouldn't be changed in most cases.  But if you want to specify a
# different label you can do so.  Also, if you want to display multiple file
# fields by default (via $PREF{num_default_file_elements} in PREFs Section 08)
# and you want each one to have a different label, you can create multiple
# copies of this pref, ending in _1, _2, etc, for example:
#
#	$PREF{file_upload_field_label_1} = "Audio";
#	$PREF{file_upload_field_label_2} = "Video";
#
$PREF{file_upload_field_label}				= qq`File <span class="filei">%%i%%</span> of <span class="fileitotal">%%numitems%%</span>:`;



# PREFs Section 07: Upload Form Configuration.
############################################################################
# By default, only the first file upload field is a required field (if
# $PREF{allow_form_submissions_without_files} is set to "no").  If you want
# to use additional file upload fields, and you want some of them to also be
# required, you can specify that here.
#
$PREF{file_upload_field_2_is_required}			= 'no';
$PREF{file_upload_field_3_is_required}			= 'no';
$PREF{file_upload_field_4_is_required}			= 'no';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# FileChucker will automatically create and update static CSS and JS files,
# in the /upload/appdata/fc.css and fc.js files by default.  As you change
# various prefs, the contents of these files will need to be updated, so it's
# best to let FileChucker manage these files.  (And you can adjust $PREF{css}
# and $PREF{custom_js_code} to customize your CSS/JS; those changes will be
# automatically incorporated into the static files.)  But if for some reason
# you want to manage these files manually, you can disable the create/update
# prefs.  And you can set the URLs to null to make FileChucker use inline CSS
# and JS.
# 
$PREF{static_css_url}					= "%PREF{appdir_url}/fc.css";
$PREF{static_js_url}					= "%PREF{appdir_url}/fc.js";
$PREF{create_static_css_and_js_files_automatically}	= 'yes';
$PREF{update_static_css_and_js_files_when_prefs_file_changes} = 'yes';
$PREF{update_static_css_and_js_files_at_regular_interval} = 60*60*12;   # in seconds; zero to disable.



# PREFs Section 07: Upload Form Configuration.
############################################################################
# On most servers, you can embed FileChucker into an existing page/layout
# using PHP or SHTML and the ?encembed=yes variable, as explained in the
# FAQ.  However, if you're on a brain-dead server (for example, IIS6+) which
# does not support any decent way to call a CGI script that includes the
# proper server environment variables, and your server does not have PHP
# installed, and you still want to include a standard header/footer with
# FileChucker, then you can set encodable_app_template_file.  Set this to
# the full path (probably starting with "%PREF{DOCROOT}/") to an HTML page
# on your site which should be used as the template for FileChucker's
# output.  You can create this HTML file in whatever way you normally
# create web pages; the only requirement is that it contain the string
# %%encodable_app_output%% wherever you'd like FileChucker's output to appear,
# No server-side processing (PHP, SSI, etc) will be done on the contents of
# this file; however you can specify a title for FileChucker to insert on the
# existing <title>...</title> line within the file.
#
# You can also do custom replacements in your template.  For example, if
# you put this in your template file:
#
#	<!--EncReplace001Start--><img src="/images/header/default.jpg" /><!--EncReplace001End-->
#
# ...and set your prefs like this:
#
#	$PREF{encodable_app_template_replacement_001}		= qq`<img src="/images/header/%COOKIE{user}.jpg" />`;
#	$PREF{encodable_app_template_replacement_001_test}	= '%COOKIE{user}';   # if the value is null, the test fails, so no replacement is done.
#
# ...then you'd get custom per-user header images, if the "user" cookie is set.
#
$PREF{encodable_app_template_file}			= '';
$PREF{encodable_app_template_css_insertion_point}	= 'bottom';   # 'top', 'bottom', or '' (refers to location within <head>).
$PREF{encodable_app_template_js_insertion_point}	= 'bottom';   # 'top', 'bottom', or '' (refers to location within <head>).
$PREF{title_for_template_file}				= '';
$PREF{encodable_app_template_replacement_001}		= qq``;
$PREF{encodable_app_template_replacement_001_test}	= '';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# If you're instantiating FileChucker via AJAX in a way that requires its
# normal onload JavaScript functions to NOT be called at onload, then you
# can disable this setting; you must then manually call filechucker_init()
# from your JavaScript AJAX code after instantiating FileChucker from it.
# This is a very rare need so this should virtually always be set to 'yes'.
#
$PREF{do_javascript_init_at_onload}			= 'yes';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# Web servers treat "www.you.com" and "you.com" as two different domains,
# which matters for web applications that use cookies.  So you should make
# your website either always use the www, or always remove it.  You should
# be able to do this in your server configuration, but if not, you can do
# it here.  Whether to use www or not is only a matter of taste, so just 
# pick whichever way you want, and then stick with it.
#
$PREF{add_www_to_hostname}				= 'no';
$PREF{remove_www_from_hostname}				= 'no';
$PREF{prevent_direct_cgi_access}			= 'no';
$PREF{direct_cgi_access_error}				= qq`Direct CGI access is not allowed; <a href="%PREF{here}">go here instead</a>.`;



# PREFs Section 07: Upload Form Configuration.
############################################################################
# App output template.  You can add things here, and you can change any text
# within the template, but you probably shouldn't change any of the markup
# (tags) nor variables (like %%linkbar_bottom%%) within the template.
#
# To add text and/or HTML that appears only on certain pages, do this:
#
#	%%%if-onpage_uploader%%% <p>Your Text Here</p> %%%endif-onpage_uploader%%%
#
# The available pagenames (as in "onpage_uploader") are:
#
#	uploader filelist popupstatus login error default
#
$PREF{app_output_template} = qq`

	<div id="fcwrapper" class="%%wide_page_css_wrapper_id%%">

	<!-- for drop shadows: -->
	<div class="shad01"></div>
	<div class="shad02"></div>
	<div class="shad03"></div>
	<div class="shad04"></div>
	<div class="shad05"></div>
	<div class="shad06"></div>
	<div class="shad07"></div>
	<div class="shad08"></div>

	<div id="%%on_page%%page"> <!-- this is #uploaderpage, #filelistpage, #defaultpage, etc. -->

	%PREF{title}

	<div id="fc-container"> <!-- don't change this ID. -->

	<div id="fc_content"> <!-- don't change this ID. -->


	%%%ifelse-onpage_uploader%%%
		<div id="fcintro">%TEXT{intro}</div>
	%%%else%%%
		%%subtitle%%
	%%%endelse-onpage_uploader%%%


	%%app_output_body%%


	</div>

	<div id="fcfooter"><div id="fcfooter-inner"><div id="fcfooter-text">
	%%linkbar_bottom%%
	</div></div></div>

	</div> <!-- end #fc-container. -->

	<div id="pb">%%powered_by%%</div>

	</div> <!-- end #uploaderpage, #filelistpage, #defaultpage, etc. -->

	</div><!-- end id="fcwrapper" -->
`;



# PREFs Section 07: Upload Form Configuration.
############################################################################
# Extra header output: this lets you specify HTML code to appear within the
# <head> section of FileChucker's output.  For example, to make your site's
# favicon appear:
#
#	$PREF{extra_header_output} = qq`<link rel="icon" href="/favicon.ico" type="image/png" />`;
#
# Or if you're using VisitorLog, and you want it to log your FileChucker
# page views:
#
#	$PREF{extra_header_output} = qq`<script type="text/javascript" src="/visitors/js/vlog.js"></script>`;
#
# You can include as many lines as you want in this setting, and it can be
# any valid HTML or anything else that's valid within the <head>...</head>
# section of a webpage.
# 
$PREF{extra_header_output}				= '';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# You probably shouldn't change these.
#
$PREF{print_filefields_wrapper_div}			= 'yes';
$PREF{viewpath_markup_start}				= '<div id="viewpath"><div id="viewpath-outer"><div id="viewpath-inner">';
$PREF{viewpath_markup_end}				= '</div></div></div>';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# You can adjust the text and the target for some of the footer links.
#
$PREF{home_link_name}					= "Home"; # null to disable.
$PREF{home_link_url}					= "/";
$PREF{upload_files_link_label}				= "Upload";
$PREF{show_uploads_link_text}				= 'Download'; # null to disable.
$PREF{administration_link_name}				= "Administration";



# PREFs Section 07: Upload Form Configuration.
############################################################################
# If you want your users to be able to choose a subfolder when uploading
# their files, but there are some folders in your $PREF{uploaded_files_dir}
# that you'd like to be off-limits for this, you can specify those here.
# This is a case-insensitive regular expression.  This should be left at its
# default value (i.e. null, and thus disabled) in most cases.
#
$PREF{hide_upload_form_folders_matching_this_regex}	= '';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# If all the folders in the folder list on the upload form start with the
# same parent folder or folders, and you want to hide that common portion
# of each folder, you can enable this setting.
#
$PREF{hide_common_leading_path_on_upload_form_subdirs}	= 'no';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# By default, we print certain footer links (like Home, Upload Files, Show
# Uploads, New Folder, etc) depending on which page we're on (the file-list
# shouldn't have a link to Show Uploads for example, because we're already
# on that page).  But if you want, you can override all our footer links by
# specifying your own.  Note that you can set $PREF{custom_footer} which is
# a shortcut to set all 4 of these to the same value.
#
# Alternatively, if you just want to add additional links to the current
# footer, then use $PREF{extra_footer_links}, like this:
#
#	$PREF{extra_footer_links} = [ '<a href="/foo">Foo</a>',  '<a href="/bar">Bar</a>' ];
#
#$PREF{custom_footer_for_uploader}			= '<div id="fcfooter"> </div>';
$PREF{custom_footer_for_popupstatus}			= '';
#$PREF{custom_footer_for_uploadcomplete}		= '<div id="fcfooter"> </div>';
#$PREF{custom_footer_for_default}			= '<div id="fcfooter"> </div>';
#$PREF{custom_footer_for_filelist}			= '<div id="fcfooter"> </div>';
#
$PREF{extra_footer_links} = [];



# PREFs Section 07: Upload Form Configuration.
############################################################################
# By default, if you upload a file that's 1 megabyte or bigger, the file 
# sizes and upload rate on the progress bar will be in MB and MB/s.  If you 
# want to force them to always be in KB instead, set these.
#
$PREF{force_KB_for_size_display}			= 'no';
$PREF{force_KB_for_transfer_rate_display}		= 'yes';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# Various options.
#
$PREF{progress_bar_width}				= 350; # in pixels.
$PREF{show_progress_table_during_uploads}		= 'yes';
$PREF{clear_page_during_upload}				= 'yes';
$PREF{show_chosen_filenames_during_upload}		= 'no';
$PREF{scroll_progress_bar_into_view}			= 'no';
$PREF{chosen_filenames_pretext}				= "Uploading your file(s): "; # no double-quotes within the pretext.
$PREF{chosen_filenames_posttext}			= ""; # no double-quotes within the posttext.
$PREF{chosen_filenames_separator}			= ", "; # no double-quotes within the separator.



# PREFs Section 07: Upload Form Configuration.
############################################################################
# You can choose to display the progress bar in a pop-up window if you wish.
#
$PREF{show_upload_status_in_popup_window}		= 'no';
$PREF{progress_bar_placeholder_message__popup}		= qq`Upload in progress; please wait.&nbsp; If this message appears for more than a few seconds, then your upload was probably very small and is already finished, so you can close this window.`;
$PREF{popup_status_uploading_message}			= qq`Upload in progress; please wait.<br />If progress bar does not appear,<br /><a href="#" onclick="this.href=document.getElementById(\\'juststatuslink\\').href; return true" target="_blank">click here</a> to display it.`;
$PREF{popup_status_window_javascript_code}		= qq`window.open(document.getElementById('juststatuslink').href,'fcstatuswindow','width=400,height=270,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,copyhistory=no,resizable=yes');`;



# PREFs Section 07: Upload Form Configuration.
############################################################################
# By default we'll use an iframe to do the upload, which means it happens
# without redirecting to another page upon completion.  This should be fine
# for any modern browser.  Disabling this setting will automatically enable
# the popup-based upload progress bar for Safari users, because otherwise
# the progress bar won't work in that browser.
#
$PREF{use_iframe_for_upload}				= 'yes';
$PREF{disable_upload_iframe_for_these_user_agents}	= '';   # regex.



# PREFs Section 07: Upload Form Configuration.
############################################################################
# The placeholder message is displayed immediately after the "Begin Upload"
# button is clicked, before the progress bar is displayed.
#
# The "processing" message is displayed at the end of an upload, before we
# redirect to the "Upload Complete" page.
#
# Both of these can optionally contain HTML, images, etc.
#
$PREF{progress_bar_placeholder_message}			= qq`Upload in progress; please wait.&nbsp; Do not close this window.`;
$PREF{server_processing_upload_message}			= "Upload complete; the server is now processing your file(s).&nbsp; This could take a minute or two if your upload was very big.&nbsp; Please wait.";



# PREFs Section 07: Upload Form Configuration.
############################################################################
# To cancel an upload, the user only needs to click on some other link, or 
# click on one of their Favorites/Bookmarks, or type some other address into
# the browser's address bar, etc.  But some users feel more comfortable using
# an explicit "Cancel" link, so if you want to, you can enable such a link
# by setting this PREF.  For example:
#
#	$PREF{cancelbutton} = '<div><a href="/">Click here to cancel this upload.</a></div>';
#
$PREF{cancelbutton}					= '';



# PREFs Section 07: Upload Form Configuration.
############################################################################
# Here you can specify your own custom Javascript code.  Leave off the
# <script> tags.  And you can use schedule_onload_action(myfunction); to
# hook into the onload logic.  If you want to specify code that should be
# executed just before the upload is submitted, put it into the __onsubmit
# code preference here, and use "return false;" within your code if you want
# to prevent the upload from starting.
#
$PREF{custom_js_code}					= qq``;
$PREF{custom_js_code__onsubmit}				= qq``;
$PREF{custom_js_code__onuploaddone}			= qq``;
$PREF{custom_js_code__uploadcomplete_page}		= qq``;



# PREFs Section 07: Upload Form Configuration.
############################################################################
# This is the upload button.  If you want to use type="image" instead of
# type="button" then you must change the onclick attribute to:
# onclick="startupload();return false".
#
$PREF{upload_button}					= qq`<div id="uploadbuttonwrapper"><input type="button" value="Begin Upload" id="%PREF{uploadbutton_id}" class="button" onclick="startupload()" /></div>`;
$PREF{filefield_namebase}				= 'uploadname';
$PREF{uploadbutton_id}					= 'uploadbutton';









# PREFs Section 08: Upload Restrictions.
############################################################################
# Allow the user to upload multiple files at the same time, up
# to this limit.
#
$PREF{max_files_allowed}				= 5;
$PREF{num_default_file_elements}			= 1;



# PREFs Section 08: Upload Restrictions.
############################################################################
# Set the maximum amount of data that can be uploaded at once.  Note that
# this is per upload, not per file; if you set this to 10 megabytes, then
# you can upload one 10MB file, or two 5MB files, etc, as long as the sum
# is not more than your limit.  Note that one megabyte is 1024*1024*1; 
# 5 MB is 1024*1024*5, etc.
#
$PREF{sizelimit_for_public}				= 1024*1024*200;
$PREF{sizelimit_for_members}				= 1024*1024*500;
$PREF{sizelimit_for_admins}				= 1024*1024*2000;



# PREFs Section 08: Upload Restrictions.
############################################################################
# Set per-file size limits:
#
$PREF{max_file_size_for_public}				= 1024*1024*200;
$PREF{max_file_size_for_members}			= 1024*1024*500;
$PREF{max_file_size_for_admins}				= 1024*1024*2000;



# PREFs Section 08: Upload Restrictions.
############################################################################
# You can specify a quota for your upload directory.  You can also specify
# a quote for each userdir, if you have userdirs enabled (see PREFs Section
# 04).  Note that these values are in bytes; to specify them in megabytes,
# multiply by 1024*1024, for example 1024*1024*1 is one MB, 1024*1024*5 is
# five MB, etc.  Set them to zero to disable the quotas.
#
$PREF{quota_for_entire_upload_directory}		= 0;
$PREF{quota_for_member_userdirs}			= 0;



# PREFs Section 08: Upload Restrictions.
############################################################################
# You can allow or disallow uploads based on file extension.  Each of these
# preferences takes a list of extensions separated by spaces.  The period
# must be included with the extension.  For example:
#
#	$PREF{only_allow_these_file_extensions} 	= '.jpg .png .gif';
#
# Finally, note that these are not case sensitive.
#
$PREF{only_allow_these_file_extensions}			= '';
$PREF{disallow_these_file_extensions}			= '.exe .php .php3 .php4 .php5 .phtml .cgi .pl .sh .py .js .htaccess .htpasswd .cmd .bat .ftpquota';
$PREF{allow_files_without_extensions}			= 'yes';
$PREF{disallow_these_strings_within_filenames}		= '\.php \.asp \.cgi \.pl$ \.plx torrent dvdrip'; # can include regexes, so periods must be escaped.  must be in single quotes.
#
$TEXT{illegal_filename_message}				= qq`Filename or file type not allowed: %%filename%%`;



# PREFs Section 08: Upload Restrictions.
############################################################################
# In both filenames and directory names, convert spaces to underscores,
# and remove anything that's not in the set [0-9A-Za-z._-].
#
$PREF{clean_up_filenames}				= 'yes';
$PREF{clean_up_foldernames}				= 'yes';









# PREFs Section 09: Processing Uploads.
############################################################################
# In PREFs Section 03: Security, there is a option "serialize_all_uploads"
# that adds a long (~40 digit) serial number to the end of all filenames.
# But even if that option is disabled, if you don't set the 
# overwrite_existing_files option here, then a serial number WILL be
# appended onto the filename if a file by the same name already exists.
# Alternatively, you can set the nice_serialization options here, which
# will add a number like "_01" or " 01" if a file by the same name already
# exists.  So in summary, you can have all files serialized (long number),
# all files nice-serialized (2-digit number), only serialize when filename
# already exists (either long or 2-digit serial), or overwrite existing files
# (i.e. never serialize).  Note that regular- and nice-serialization are
# mutually exclusive, and that regular (serialize_all_uploads) takes
# precedence if both are set, since it's a security feature.
#
$PREF{overwrite_existing_files}				= 'no';
$PREF{nice_serialization_when_file_exists}		= 'yes';
$PREF{nice_serialization_always}			= 'no';



# PREFs Section 09: Processing Uploads.
############################################################################
# You can have a datestamp (YYYYMMDD-HHMM) added to the filename for
# each upload.  It will be added to the end, right before the extension.
#
$PREF{datestamp_all_uploads}				= 'no';



# PREFs Section 09: Processing Uploads.
############################################################################
# FileChucker can operate in a few special upload modes:
#
# Replace mode lets users upload files that already exist on the server,
# overwriting those files.  If you have any extra formfields enabled,
# they will not be shown in replace mode -- it's only for replacing the
# files themselves.
# 
# Reprocessing mode lets users go through the upload process, filling out
# any extra formfields that you have enabled; but instead of uploading
# files, it uses files that have been uploaded before and are already on
# the server.
#
# AddFile mode lets users upload new files, but does not show any of your
# extra formfields.
#
# These are disabled by default because most people probably won't have a
# use for them.
#
$PREF{enable_replace_mode}				= 'no';
$PREF{enable_reprocessing_mode}				= 'no';
$PREF{enable_addfile_mode}				= 'no';
$PREF{label_for_replace_action}				= 'Replace';
$PREF{label_for_reprocess_action}			= 'Reprocess';
$PREF{label_for_addfile_action}				= 'Add New Files';
$PREF{reprocessing_mode_file_list_message}		= "Reprocessing: %%folder_name%% [%%num_files%% file(s)]";
$PREF{reprocessing_mode_file_list_done_message}		= "Reprocessed: %%folder_name%% [%%num_files%% file(s)].";
$PREF{list_filenames_on_reprocessing_form}		= "no";
$PREF{pass_filenames_when_reprocessing_is_done}		= "no";



# PREFs Section 09: Processing Uploads.
############################################################################
# You can give each upload a unique serial number, which can start at any
# value you wish, and which increases by 1 for each upload.  You can then
# use this number in your notification emails, etc.  This number will be
# stored on your server in the file $PREF{datadir}/_fc_counter_value.txt.
# To start your upload counter number at some specific value, just edit
# the number in that file.
#
# To enable the upload counter, you must also create a hidden form field
# for it, by adding these prefs to the end of PREFs Section 07:
#
#	$PREF{formfield_50}		= 'Upload Number';
#	$PREF{formfield_50_shortname}	= 'upload_number';
#	$PREF{formfield_50_hidden}	= 'yes';
#	$PREF{formfield_50_iscounter}	= 'yes';
#
# You can set the first and second values ('Upload Number' and
# 'upload_number') and the formfield number (50) to whatever you'd like.
#
$PREF{enable_upload_counter_number}			= 'no';
$PREF{pad_with_zeros_to_this_length}			= 5;



# PREFs Section 09: Processing Uploads.
############################################################################
# FileChucker can automatically rename every file that gets uploaded,
# based on a format that you specify here.
#
# You can use the following variables in your filename formatting:
#
#	#O - original filename from the user's computer (without extension)
#
#	#E - extension from original filename (without leading period)
#
#	#U - name of user's private directory (null unless you've 
#	     enabled the userdir PREFs)
#
#	#N - sequence number of this file within its original upload
#	     (set to 1 if only a single file was uploaded)
#
#	#C - upload counter number (see $PREF{enable_upload_counter_number}
#	     in PREFs Section 09)
#
# You can also use variables of the form %DATE{%v} to insert date/time values
# based on the standard date formatting variables; search the internet for the
# terms "unix man pages: date (1)" (or just run "man date" on any Unix system)
# for more information on the date format.  To use an offset date rather than
# the current date, use %DATE{%v}{now+5d}, where "now" is literally "now", the
# sign can be + or -, the number can be any number, and the final letter can be
# s, m, h, d, or b, for seconds, minutes, hours, days, or business days (i.e. 
# no weekends).
#
# If you've enabled any extra formfields (PREFs Section 07), you can
# use the values from those fields in renaming the uploaded files.
# Just use the _shortname from the PREF within a %FIELD container.
# For example if you have $PREF{formfield_01_shortname} = 'company',
# then you can use %FIELD{company}.
#
# You can include variables from either the URL or from a cookie by using
# %URL{varname} or %COOKIE{cookiename}, and you can include the value of
# any preference by using %PREF{pref_name}.
#
# And anything not preceded by a pound-sign or a percent-sign will be 
# passed straight through as literal text.
#
# For example, if you set:
#
#	$PREF{reformat_filenames_for_all_uploads} = '%DATE{%Y%m%d}-#U_#N-%COOKIE{foo}-#O.#E';
#
# ...and then a user uploads 3 files, on say Feb 28 2006, then they
# will be renamed to:
#
#	20060228-userdirname_1-fooCookieValue-originalfilename.ext
#	20060228-userdirname_2-fooCookieValue-originalfilename.ext
#	20060228-userdirname_3-fooCookieValue-originalfilename.ext
#
# Finally note that to disable this, you must comment it out or set
# it to null ('').
#
$PREF{reformat_filenames_for_all_uploads}		= '';
$PREF{convert_upload_filenames_to_case}			= 'none'; # uppercase, lowercase, or none.



# PREFs Section 09: Processing Uploads.
############################################################################
# This setting controls how uploads are processed internally.  It should
# probably be set to 'yes' in most cases.
#
$PREF{move_tmpfile_instead_of_copying_contents}		= 'yes';



# PREFs Section 09: Processing Uploads.
############################################################################
# FileChucker can run a virus-scan command on the uploaded files, assuming
# you have a command-line virus scanner on your server.
#
$PREF{scan_uploads_for_viruses}				= 'no';
$PREF{virus_scan_command}				= 'clamscan "%%filename%%"';



# PREFs Section 09: Processing Uploads.
############################################################################
# You can optionally copy the uploaded files to another server via FTP.
# This will happen automatically at the very end of the upload process.
# The base_path setting is the folder on the FTP server where you'd like
# the files transferred into, and the create_subdirs setting determines
# whether to recreate the directory structure that each file has on the
# server where FileChucker is installed (i.e. if the user chose to upload
# into a subfolder, or created a new subfolder, etc) -- if disabled, all
# files will be transferred into base_path with no subfolders created.
#
$PREF{ftp_files_to_another_server_after_upload}		= 'no';
$PREF{use_sftp_when_transferring_to_another_server}	= 'no';   # If the second server supports SSH.
$PREF{ftp_server}					= 'myothersite.com';
$PREF{ftp_username}					= 'myuser';
$PREF{ftp_password}					= 'mypass';
$PREF{use_passive_ftp_mode}				= 'no';
$PREF{extensions_to_use_ascii_mode_for}			= '\.txt \.htm \.html \.shtml'; # regexes.
$PREF{base_path_on_ftp_server}				= '/pub';
$PREF{create_subdirs_on_ftp_server}			= 'yes';
$PREF{delete_files_on_this_server_after_successful_ftp}	= 'no';









# PREFs Section 10: Post-Upload.
############################################################################
# After a successful upload, we normally display a page that says "upload 
# complete" and lists the uploaded files, their sizes, etc.  If you want,
# you can redirect to some other page instead.  Note that you can include
# variables in the value from the URL, from a cookie, from any of your 
# formfields, or from any PREF value by using %URL{varname},
# %COOKIE{cookiename}, %FIELD{shortname}, or %PREF{prefname}
# in the redirect value.  For example:
#
#	$PREF{after_upload_redirect_to} = 'http://example.com/foo/bar/?baz=%URL{baz}&bim=%COOKIE{bim}&bop=%FIELD{bop}';
#
# You can also include the %%foldername%% variable, which will be replaced
# by the name of the subfolder that the (first) uploaded file went into.
#
# If you're using an upload counter number (see $PREF{enable_upload_counter_number}
# in PREFs Section 09) you can include its value in the URL by using the
# variable %%counternum%%.
#
# All the relevant information will be passed on the query-string to your
# redirection URL, including any error-state information.
#
$PREF{after_upload_redirect_to}				= '';
$PREF{pass_original_querystring_through}		= 'yes';
$PREF{pass_default_data_on_redirect}			= 'yes';
$PREF{pass_filenames_on_redirect}			= 'yes';
$PREF{pass_formfield_values_on_redirect}		= 'yes';
$PREF{include_simple_formfield_format_on_redirection_qs}= 'no';



# PREFs Section 10: Post-Upload.
############################################################################
# Options for the upload-complete page.
#
$PREF{show_bbcode_html_etc_on_uploadcomplete_page}	= 'no';



# PREFs Section 10: Post-Upload.
############################################################################
# Templates for the upload-complete page.  For both of these, you can also
# create a second version ending in ___reprocessing, if you're using the
# reprocessing feature and want it to have a different upload-complete page.
# If you want to display the values from any extra formfields that you've
# added to your upload form, add %FIELD{fieldname} to your template below,
# where "fieldname" is the _shortname for the field in question.
#
$PREF{upload_complete_page_template}			= qq`
<dl id="fcuploadsummary">
<dt class="first">Your upload is complete:</dt>
<dd>Elapsed time %%elapsed_time%%</dd>
<dd>Total upload size %%total_upload_size%%</dd>
<dd>Average speed %%average_speed%%</dd>
	%%%if-formfields%%%
	<dt>Your information:</dt>
	%%formfields%%
	%%%end-formfields%%%
%%filelist%%
<dt>Another Upload?</dt>
<dd><a href="%PREF{here_uploader}%PREF{default_url_vars_with_qm}">Return to upload page</a>.</dd>
</dl>
`;
#
$PREF{upload_complete_filelist_template}		= qq`
<dt>File %%filenum%% of %%total_file_count%%:
%%%if-illegal%%% skipped because the filetype is not allowed. %%%end-illegal%%%
%%%if-replaceerror%%% skipped because we are in Replace Mode and that file does not exist on the server. %%%end-replaceerror%%%
%%%if-viruserror%%% skipped because the file failed the virus scan. %%%end-viruserror%%%
%%%if-sizeerror%%% skipped because the file exceeded the size limit. %%%end-sizeerror%%%
%%%if-success%%% %%%ifelse-showlinks%%% <a href="%%link%%">%%filename%%</a> %%%else%%% %%filename%% %%%endelse-showlinks%%% %%%end-success%%%
</dt>
%%%if-success%%%
	<input type="hidden" name="fcfiledone%%filenum%%" id="fcfiledone%%filenum%%" value="%%filename%%" />

	<dd>%%filesize%% uploaded successfully.</dd>
	%%%if-showlinks%%%
	%%%if-showbbcodeetc%%%
	<dd>URL to file:  <input name="urltoupload%%filenum%%" id="urltoupload%%filenum%%" value="%%link_with_fqdn%%" onclick="this.select();" type="text"></dd>
	<dd>HTML code:  <input name="htmlforupload%%filenum%%" id="htmlforupload%%filenum%%" value="&lt;a href=&quot;%%link_with_fqdn%%&quot;&gt;%%filename%%&lt;/a&gt;" onclick="this.select();" type="text"></dd>
	<dd>BBCode:  <input name="bbcodeforupload%%filenum%%" id="bbcodeforupload%%filenum%%" value="[URL=%%link_with_fqdn%%]%%filename%%[/URL]" onclick="this.select();" type="text"></dd>
	%%%if-isimage%%%<dd>Img:  <input name="imgcodeforupload%%filenum%%" id="imgcodeforupload%%filenum%%" value="[img]%%link_with_fqdn%%[/img]" onclick="this.select();" type="text"></dd>%%%end-isimage%%%
	%%%end-showbbcodeetc%%%
	%%%end-showlinks%%%

	%%%if-perfile_formfields%%%
	<dt>File information:</dt>
	%%perfile_formfields%%
	%%%end-perfile_formfields%%%
%%%end-success%%%
`;









# PREFs Section 11: File-List Configuration.
############################################################################
# Options for controlling the display of the uploaded-files list.  This Free
# version of FileChucker has a very basic file list with only a few options,
# but the file list is fully customizable in the paid versions.
#
$PREF{only_show_files_with_these_extensions}		= '';
$PREF{hide_files_with_these_extensions}			= '.exe .php .php3 .php4 .php5 .phtml .cgi .pl .sh .py .htaccess .htpasswd .DS_Store .ftpquota';
$PREF{hide_items_whose_names_match}			= '%PREF{name_of_subfolder_for_thumbnails_etc} fcimages _vti_cnf \.DS_Store lost\+found lost%2bfound'; # can include regexes, so periods must be escaped.  must be in single-quotes.
$PREF{time_offset}					= -0; # in hours; can include negative sign.
$PREF{default_app_style}				= 'light';
$PREF{enabled_styles}					= 'light, dark';
$PREF{name_of_top_level}				= 'uploads';









# PREFs Section W: Templates.
############################################################################
# You can adjust various templatable items here.
#
$PREF{titlebar_title}						= '%PREF{title_text}';
$PREF{titlebar_title___uploader}				= qq`Upload a file`;
$PREF{titlebar_title___popupstatus}				= qq``; # not currently used.
$PREF{titlebar_title___uploadcomplete}				= qq`Upload complete`;
$PREF{titlebar_title___filelist}				= qq`FileChucker: Uploaded Files`;
$PREF{titlebar_title___login}					= qq`Enter the password`;
$PREF{titlebar_title___error}					= qq``; # not currently used.
#
$PREF{subtitle___uploader}					= qq`Upload a file`;
$PREF{subtitle___popupstatus}					= qq``; # not currently used.
$PREF{subtitle___uploadcomplete}				= qq``;
$PREF{subtitle___filelist}					= qq`Uploaded Files`;
$PREF{subtitle___login}						= qq``;
$PREF{subtitle___error}						= qq``; # not currently used.
#
$PREF{formfield_template___text}				= qq`
<div class="fcfieldwrap encclearfixtb %%prefname%% singleline">
<label class="upform_label">%%display_name%%</label>
<input type="%%type%%" name="%%name%%" id="formfield-%%name%%"
 class="upform_field text %%prefname%%%%required%%%%emailformat%%%%numeric%%%%alphabetic%%%%alphanum%%%%password%%%%datepicker%%"
 value="%%presetvalue%%" %%readonly%% %%onclick%% %%maxlength%% />
</div>
`;
#
$PREF{formfield_template___multiline}				= qq`
<div class="fcfieldwrap encclearfixtb %%prefname%% multiline">
<label class="upform_label">%%display_name%%</label>
<textarea name="%%name%%" class="upform_field textarea %%prefname%%%%required%%"
 id="formfield-%%name%%" %%readonly%%>%%presetvalue%%</textarea>
</div>
`;
#
$PREF{formfield_template___radio}				= qq`
<div class="fcfieldwrap encclearfixtb %%prefname%% radio">
<label class="upform_label">%%display_name%%</label>
<div class="radiobox">
%%radio_buttons%%
</div>
<div class="encclear"></div>
</div>
`;
#
$PREF{formfield_template___radio___buttons}			= qq`
<input type="radio" id="formfield-%%name%%-%%value%%"
 class="%%prefname%%%%required%% radio"
 name="%%name%%" value="%%value%%" %%checked%% %%readonly%% />
<label for="formfield-%%name%%-%%value%%">%%label%%</label>
`;
#
$PREF{formfield_template___checkbox}				= qq`
<div class="fcfieldwrap encclearfixtb %%prefname%% checkbox">
<label class="upform_label" for="formfield-%%name%%">%%display_name%%</label>
<div id="formfield-%%name%%-wrapper" class="upform_field %%required%%">
<input type="checkbox" id="formfield-%%name%%"
 class="checkbox %%prefname%%%%required%%"
 name="%%name%%" %%checked%% %%readonly%% />
</div>
</div>
`;
#
$PREF{administration_template}					= qq`<div class="encmenu">\n<div class="header"><span class="altcolor1">&gt;</span> Administration</div>\n<div>%%links%%</div></div>\n`;
#$PREF{extra_administration_links}				= [ '<a href="/foo">Foo</a>',  '<a href="/bar">Bar</a>' ];
#
$PREF{filefield_template} = qq`

<div id="firstfile" class="fcfieldwrap encclearfixtb onesubgroup %%row_classname%% %%first_classname%% %%last_classname%%">
	<div class="upform_pair">
		<label class="upform_label" for="%PREF{filefield_namebase}%%i%%">%%file_upload_field_label%%</label>
		<input type="file" size="15" class="fc_file_field upform_field file %%required_classname%% %%required_classname_i%%" name="%PREF{filefield_namebase}%%i%%" id="%PREF{filefield_namebase}%%i%%" onchange="check_selected_files(this.id); %%auto_add_more_files%%" />
	</div>

	%%%if-subdirs%%%

		%%%ifelse-choosesubdir%%%
			<div class="upform_pair">
				<label class="upform_label picksubdir_label">Upload to:</label>
				<select name="subdir%%i%%" class="upform_field picksubdir_field">
				%%%template:subdirlist%%%<option value="%%subdir_value%%" %%subdir_selected%%>%%subdir_displayname%%</option>%%%end-template:subdirlist%%%
				</select>
			</div>
		%%%else%%%
			<input type="hidden" name="subdir%%i%%" value="%%static_subdir%%" />
		%%%endelse-choosesubdir%%%

		%%%if-newdir%%%
			<div class="upform_pair">
				<label for="newsubdir%%i%%" class="upform_label newsubdir_label">%TEXT{New_subdirectory__Name_}</label>
				<input type="text" class="upform_field newsubdir_field default text" name="newsubdir%%i%%" id="newsubdir%%i%%" maxlength="%PREF{max_length_of_new_subdir_names}" title="%%newsubdir_instructions%%" />
			</div>
		%%%endif-newdir%%%

	%%%endif-subdirs%%%

	%%custom_perfile_code%%
	%%perfile_textboxes%%
</div>

`;



# PREFs Section W: Templates.
############################################################################
# You can create custom pages here.  The format is:
#
#	$PREF{custom_pages}{page_address}{type}
#	$PREF{custom_pages}{page_address}{content}
#	$PREF{custom_pages}{page_address}{groups_allowed_to_view}
#
# Replace "page_address" with whatever you want, and this will be how you 
# access the page via URL.  For example, if you use literally "page_address"
# then you would use this URL to access the page:
#
#	www.yoursite.com/cgi-bin/filechucker.cgi?cpage=page_address
#
# Set the type to either 'static' or 'database'.  The content can include
# any text or HTML, as well as environment variables, other pref values, etc,
# using the syntax explained in this FAQ item:
#
#	http://encodable.com/filechucker/faq/#externaldata
#
# Set groups_allowed_to_view to a comma-separated list of group names,
# including any of the built-in groups (public, member, and admin) and/or
# any custom groups you've created via UserBase, if you're using that.
#
# See the example pages below for more details.
#
# WARNING: for database custom pages, if you change one of your field types
# (by adjusting its field_NN_type value), FileChucker *can* change the field
# type; but changing the type of an existing field may cause MySQL to delete
# or change any existing data in that field.  Because of this, FileChucker
# will ignore any changes in your field type prefs unless you enable the
# destroy_data_if_necessary setting to acknowledge this.
#
$PREF{custom_pages}{example_page}{type}				= 'static';
$PREF{custom_pages}{example_page}{content}			= qq`<p>This is a test page. Your IP address is: %ENV{REMOTE_ADDR}.</p>\n`;
$PREF{custom_pages}{example_page}{wide_page}			= 'no';
$PREF{custom_pages}{example_page}{inpage_title}			= qq`<div id="fctitle">This Is A Test</div>`;
$PREF{custom_pages}{example_page}{titlebar_title}		= 'This Is A Test';
$PREF{custom_pages}{example_page}{groups_allowed_to_view}	= 'public';

$PREF{custom_pages}{example_page_2}{type}			= 'database';
$PREF{custom_pages}{example_page_2}{content}			= qq`%%database_viewer%%`;
$PREF{custom_pages}{example_page_2}{wide_page}			= 'yes';
$PREF{custom_pages}{example_page_2}{inpage_title}		= qq`<div id="fctitle">My Page Title</div>`;
$PREF{custom_pages}{example_page_2}{titlebar_title}		= 'My Page Title';
$PREF{custom_pages}{example_page_2}{groups_allowed_to_view}	= 'public';
$PREF{custom_pages}{example_page_2}{groups_allowed_to_search}	= 'admin';
$PREF{custom_pages}{example_page_2}{groups_allowed_to_create}	= 'admin';
$PREF{custom_pages}{example_page_2}{groups_allowed_to_edit}	= 'admin';
$PREF{custom_pages}{example_page_2}{groups_allowed_to_delete}	= 'admin';
$PREF{custom_pages}{example_page_2}{viewer_hidden_columns}	= 'id';
$PREF{custom_pages}{example_page_2}{table_name}			= 'some_test_table';
$PREF{custom_pages}{example_page_2}{create_table_if_necessary}	= 'yes';
$PREF{custom_pages}{example_page_2}{destroy_data_if_necessary}	= 'no'; # see warning above!
$PREF{custom_pages}{example_page_2}{field_01_name}		= 'Address';
$PREF{custom_pages}{example_page_2}{field_01_type}		= 'VARCHAR(255) NOT NULL';
$PREF{custom_pages}{example_page_2}{field_02_name}		= 'Phone_Number';
$PREF{custom_pages}{example_page_2}{field_02_type}		= 'VARCHAR(12) NOT NULL';
$PREF{custom_pages}{example_page_2}{field_03_name}		= 'Age';
$PREF{custom_pages}{example_page_2}{field_03_type}		= 'INT NOT NULL';









# PREFs Section X: Internationalization and Localization.
############################################################################
# For internationalization and localization (i18n and l10n).  Modify *only*
# the right-hand side of each statement to translate the string into another
# language.
#
# Note that not quite everything is i18n/l10n'able yet, so you may have to
# modify the text directly in the code itself to change some strings.  Also
# note that some strings are adjustable via regular $PREF{foo} options 
# elsewhere in this prefs file, instead of in these $TEXT{foo} options.
#
# FileChucker text strings:
#
$TEXT{Actions_Menu}						= qq`Actions Menu`;
$TEXT{add_a_buy_link}						= qq`Add A Buy Link`;
$TEXT{Add_another_file_}					= qq`Add another file?`;
$TEXT{add_filepassword_link}					= qq`Add Password`;
$TEXT{Administration}						= qq`Administration`;
$TEXT{and}							= qq`and`;
$TEXT{Apply}							= qq`Apply`;
$TEXT{Are_you_sure_you_want_to_delete_it___}			= qq`Are you sure you want to delete it and all its contents?`;
$TEXT{Are_you_sure_you_want_to_delete_this___}			= qq`Are you sure you want to delete this file: %%file%%`;
$TEXT{Average_speed}						= qq`Average speed`;

$TEXT{but_there_were_errors}					= qq`but there were errors`;
$TEXT{Buy_column_header_for_filelist}				= qq`Buy`;

$TEXT{checkbox_yes}						= qq`yes`;
$TEXT{checkbox_no}						= qq`no`;
$TEXT{Check_Image_Modules}					= qq`Check Image Modules`;
$TEXT{click_here}						= qq`click here`;
$TEXT{_Close_Menu_}						= qq`[Close Menu]`;
$TEXT{comment_preview_page_intro}				= qq`Comment Preview:`;
$TEXT{comment_preview_page_edit_instructions}			= qq`Or, Edit and Preview Again:`;
$TEXT{comment_submission_button}				= qq`Submit Comment`;
$TEXT{commenter_name_invalid}					= qq`Name contains illegal characters; please go back and try again.`;
$TEXT{commenter_email_invalid}					= qq`Email contains illegal characters; please go back and try again.`;
$TEXT{commenter_website_invalid}				= qq`Website contains illegal characters; please go back and try again.`;
$TEXT{commenter_name_missing}					= qq`Name is required, but missing; please go back and try again.`;
$TEXT{commenter_email_missing}					= qq`Email is required, but missing; please go back and try again.`;
$TEXT{commenter_website_missing}				= qq`Website is required, but missing; please go back and try again.`;
$TEXT{comment_body_missing}					= qq`Comment is required, but missing; please go back and try again.`;
$TEXT{Completed}						= qq`Completed`;
$TEXT{Configuration}						= qq`Configuration`;
$TEXT{Connecting_please_wait_}					= qq`Connecting; please wait.`;
$TEXT{Contents_}						= qq`Contents:`;
$TEXT{Copied}							= qq`Copied`;
$TEXT{Copy}							= qq`Copy`;
$TEXT{Copy_It}							= qq`Copy It`;
$TEXT{Copying}							= qq`Copying`;

$TEXT{Date}							= qq`Date`;
$TEXT{Delete_now_including_any_folder_contents_}		= qq`Delete now (including any folder contents)?`;

$TEXT{Elapsed_time}						= qq`Elapsed time`;
$TEXT{Enter_password_for_file}					= qq`Enter the password to download this file:`;
$TEXT{Error__failed_human_test__please_try_again_}		= qq`Error: failed human test; please try again.`;
$TEXT{Error_illegal_filename_}					= qq`Error: illegal filename.`;
$TEXT{Error_URL_missing_userdir}				= qq`Error: malformed URL; you need to pass userdir=yourusername on the URL.`;
$TEXT{extra_file_field_autofill_link}				= qq`[copy form field values from first file]`;
$TEXT{extra_file_field_removal_link}				= qq`[remove this file]`;

$TEXT{file}							= qq`file`;
$TEXT{File}							= qq`File`;
$TEXT{Files}							= qq`Files`;
$TEXT{files}							= qq`files`;
$TEXT{filepw_access_denied}					= qq`Access denied: invalid password.`;
$TEXT{filepw_button_label}					= qq`Submit`;
$TEXT{folder}							= qq`folder`;
$TEXT{folders}							= qq`folders`;
$TEXT{Folder_Thumbs_}						= qq`Folder Thumbs:`;
$TEXT{Forgot_password_}						= qq`<p><br />[ <a href="http://encodable.com/filechucker/faq/#password">Forgot password?</a> ]</p>`;
$TEXT{From_}							= qq`From:`;

$TEXT{Go}							= qq`Go`;
$TEXT{grid}							= qq`grid`;

$TEXT{Help}							= qq`Help`;
$TEXT{hour}							= qq`hour`;
$TEXT{hours}							= qq`hours`;
$TEXT{HTML_}							= qq`HTML code: `;
$TEXT{Human_test__type_the_numbers_in_the_box_}			= qq`Human test: type the numbers in the box:`;

$TEXT{images}							= qq`images`;
$TEXT{Image_Thumbs_}						= qq`Image Thumbs:`;
$TEXT{In_}							= qq`In:`;
$TEXT{_incl_subfolders_}					= qq`(incl. subfolders)`;
$TEXT{Info}							= qq`Info`;
$TEXT{Insufficient_permissions_to_download_file_}		= qq`Insufficient permissions to download file.`;
$TEXT{Insufficient_permissions_to_view_file_}			= qq`Insufficient permissions to view this file.`;
$TEXT{Insufficient_permissions_to_view_folder_}			= qq`Insufficient permissions to view this folder.`;
$TEXT{intro}							= qq`Upload your files here.`;
$TEXT{Invalid_Login}						= qq`Invalid Login`;
$TEXT{item}							= qq`item`;
$TEXT{items}							= qq`items`;

$TEXT{Layout_}							= qq`Layout:`;
$TEXT{_left_blank_by_user_}					= qq`(left blank by user)`;
$TEXT{Link_}							= qq`Link: `;
$TEXT{list}							= qq`list`;
$TEXT{Logging_out_}						= qq`Logging out;`;

$TEXT{Make_New_Folder}						= qq`Make New Folder`;
$TEXT{Manage_Comments}						= qq`Manage Comments`;
$TEXT{minute}							= qq`minute`;
$TEXT{minutes}							= qq`minutes`;
$TEXT{Move}							= qq`Move`;
$TEXT{Move_It}							= qq`Move It`;
$TEXT{Move_Rename}						= qq`Move/Rename`;
$TEXT{Moved}							= qq`Moved`;
$TEXT{Moving}							= qq`Moving`;
$TEXT{multidownload_warning}					= qq`You have selected a multi-item download, which means we will need to zip them into a single zip file for you.  This may take some time if there are many files or large files.  Do you want to continue?`;

$TEXT{Name}							= qq`Name`;
$TEXT{New_Folder}						= qq`New Folder`;
$TEXT{New_subdirectory__Name_}					= qq`New subfolder? Name:`;
$TEXT{No_hotlinking_}						= qq`No hotlinking.`;
$TEXT{_none_}							= qq`(none)`;

$TEXT{of}							= qq`of`;
$TEXT{off}							= qq`off`;
$TEXT{on}							= qq`on`;
$TEXT{options}							= qq`options`;
$TEXT{Or_}							= qq`Or:`;

$TEXT{page}							= qq`page`;
$TEXT{pages}							= qq`pages`;
$TEXT{Parent_Directory}						= qq`Parent Folder`;
$TEXT{Password_Required}					= qq`Password Required`;
$TEXT{Passwords_do_not_match_}					= qq`Passwords do not match.`;
$TEXT{Permissions}						= qq`Permissions`;
$TEXT{Please_wait}						= qq`Please wait`;

$TEXT{Remaining}						= qq`Remaining`;
$TEXT{Rename}							= qq`Rename`;
$TEXT{Rename_It}						= qq`Rename It`;
$TEXT{Renamed}							= qq`Renamed`;
$TEXT{Renaming}							= qq`Renaming`;
$TEXT{Rotate_now_}						= qq`Rotate now?`;

$TEXT{second}							= qq`second`;
$TEXT{seconds}							= qq`seconds`;
$TEXT{Select}							= qq`Select`;
$TEXT{Selected_}						= qq`Selected:`;
$TEXT{Select_All}						= qq`Select: All`;
$TEXT{Select_None}						= qq`None`;
$TEXT{Server_Information}					= qq`View Server Information`;
$TEXT{Size}							= qq`Size`;
$TEXT{Starting_}						= qq`Starting...`;
$TEXT{Styles_}							= qq`Styles:`;
$TEXT{subfolders_including_any_hidden_items_}			= qq`subfolders (including any hidden items).`;

$TEXT{The_owner_of_this_site_has_set_the_limit_to}		= qq`The owner of this site has set the limit to`;
$TEXT{The_password_you_entered_is_incorrect___}			= qq`The password you entered is incorrect.<br />Go back and try again.`;
$TEXT{This_folder_contains}					= qq`Delete folder: %%folder%%? This folder contains`;
$TEXT{Time}							= qq`Time`;
$TEXT{To_}							= qq`To:`;
$TEXT{to_continue_}						= qq`to continue.`;
$TEXT{Total}							= qq`Total`;
$TEXT{Total_upload_size}					= qq`Total upload size`;

$TEXT{unknown}							= qq`unknown`;
$TEXT{Unzip_now_}						= qq`Unzip now?`;
$TEXT{upload_form_subdir_note_1}				= qq`(will use folder settings from first file)`;
$TEXT{upload_form_subdir_note_2}				= qq`(will use folder from first file)`;
$TEXT{upload_form_subdir_note_3}				= qq`(will use new folder name from first file)`;
$TEXT{upload_form_subdir_note_4}				= qq`(optional; may be left blank)`;
$TEXT{Upload_Info}						= qq`Upload Info`;
$TEXT{Upload_statistics_}					= qq`Upload statistics:`;
$TEXT{Upload_to_}						= qq`Upload to:`;
$TEXT{upload_too_big_error}					= qq`<h1>Error:</h1><p>You tried to send %%upload_size%%, but the owner of this site has set the limit to %%limit%%.&nbsp; <a href="#" onclick="reset_upload_form_after_size_or_count_error();return false">Click here</a> to choose a smaller file.</p>`;
$TEXT{upload_too_many_files_error}				= qq`<h1>Error:</h1><p>You tried to send %%upload_count%% files, but the owner of this site has set the limit to %%limit%%.&nbsp; <a href="#" onclick="reset_upload_form_after_size_or_count_error();return false">Click here</a> to try again.</p>`;
$TEXT{Uploaded_Files_}						= qq`Uploaded Files:`;
$TEXT{uploaded_successfully_}					= qq`uploaded successfully.`;
$TEXT{Uploaders_Form_Field_Entries_}				= qq`Uploader's Form Field Entries:`;
$TEXT{Uploading_please_wait_}					= qq`&nbsp;&nbsp;Uploading; please wait.`;
$TEXT{URL_}							= qq`URL to file: `;

$TEXT{Video_Thumbs_}						= qq`Video Thumbs:`;
$TEXT{view_menu_label}						= qq`View Menu`;
$TEXT{Viewing_}							= qq`Viewing:`;
$TEXT{View_Download_Log}					= qq`View Download Log`;
$TEXT{View_Sent_Mail}						= qq`View Sent Mail`;
$TEXT{View_Upload_Log}						= qq`View Upload Log`;

$TEXT{will_be_created_inside___}				= qq`(created in the selected directory)`;

$TEXT{Your_upload_is_complete}					= qq`Your upload is complete`;









# PREFs Section Y: Styling.
############################################################################
# Here you can adjust the CSS code to change the look and feel of
# FileChucker.  If you're embedding FileChucker in multiple different pages,
# and you want different styling on each one, you can create multiple copies
# of $PREF{css} here, named $PREF{css1}, $PREF{css2}, etc; then when you
# call FileChucker, pass ?css1, or ?css2, etc.
#
$PREF{css} = qq`

#fcbody { background: #eee; color: #000; font-family: sans-serif; font-size: 9pt; text-align: center; }
#fcbody table { font-size: 9pt; } 
.popupstatusbody { background: #fff !important; }

#fcbody dl { margin: 0 0 1em; padding: 0; }
#fcbody dt, dd { margin: 0; padding: 0; }

#pb { margin: 14px auto 2px auto; padding: 3px; }
#pb a { color: #000; }
#pb a:hover { color: #aaa; }
#pb { position: absolute; left: -8000px; }
#fcfooter { color: #8b8f8b; margin: 24px auto 4px auto; font-size: 8pt; }

#fcwrapper { width: 750px; margin: 0 auto; } /* default styling, for most pages. */
.uploaderbody #fcwrapper, .uploadcompletebody #fcwrapper { width: 500px; margin: 0 auto; } /* narrower styling for uploader and uploadcomplete pages. */
.popupstatusbody #fcwrapper { width: auto; height: auto; } /* narrower/bare styling for popupstatus page. */

/* #uploaderpage, #filelistpage, #defaultpage etc, are the outer containers for their respective pages. */
#uploaderpage, #uploadcompletepage, #filelistpage, #defaultpage { margin: 0 auto; background: white; border: 1px solid #aaa; padding: 10px; }
#uploaderpage #fctitle, #popupstatuspage #fctitle, #uploadcompletepage #fctitle, #filelistpage #fctitle, #defaultpage #fctitle { font-size: 200%; font-weight: bold; padding: 8px 0 15px 0; margin: 0; }
#encsubtitle { font-size: 130%; font-weight: bold; color: #777; margin-bottom: 15px; }
#uploaderpage, #uploadcompletepage { }
#uploaderpage #fcintro { margin: 0px auto 25px auto; }
#popupstatuspage { padding: 0; margin: 0 auto; }
#specialnote { font-weight: bold; }

#fc-container { } /* this is the whole page except for title and pb */
#fc-container a { color: #507090; }
#fc-container a:hover { color: #aaa; }

.fcwrapper_widepage { width: auto !important; }

/* #progBarContainer includes everything (progress bar, text, table); #theMeter includes just the bar and the text (percent and rate) */
#progBarContainer { padding-top: 10px; }
#progBar, #progBarText	{ width: %PREF{progress_bar_width}px; }
#progBar { margin-top: 2px; margin-bottom: 2px; height: 20px; border: 1px inset; background: #eee; text-align: left; }
#progBarDone { width: 0; height: 20px; border-right: 1px solid #444; background: #4a6695 url(%PREF{app_images_url}/pb-bg-02.png) repeat-x; }
#theMeter { margin-bottom: 20px; }
#uploadCompleteMsg { width: %PREF{progress_bar_width}px; margin-top: 0; margin-bottom: 20px; }
#progBarContainer table { width: %PREF{progress_bar_width}px; margin-top: 4px; margin-bottom: 20px; text-align: right; border-collapse: collapse; border: 0; border-bottom: 1px solid #bbb;}
#progBarContainer table td { border-top: 1px solid #bbb; text-align: center; }
#progBarContainer #upload-row-1, #progBarContainer #upload-row-3 { background: #e6e6e6; }
#progBarContainer #upload-row-2, #progBarContainer #upload-row-4 { background: #efefef; }

#progBar, #progBarText, #progBarContainer table, #uploadCompleteMsg, #chosen_filenames { margin-left: auto; margin-right: auto; } /* Center them.  Delete this line to left-align. */

#progBarText	{ margin-top: 1px; margin-bottom: 1px; white-space: nowrap; position: relative; }
#progRate	{ position: absolute; top: 0; left: 0; text-align: left; }
#progStatus	{ margin: 0 auto; text-align: center; font-style: italic; }
#progPercent	{ position: absolute; top: 0; right: 0; text-align: right; }

#chosen_filenames { width: %PREF{progress_bar_width}px; margin-bottom: 15px; }

#theuploadform, #progBarPlaceholder, #uploadDoneContainer, #progBarContainer, #progBarContainer table { font-size: 9pt; } /* for sites that set their own ridiculous font sizes on general HTML elements instead of IDs and classes */
#progBarError { margin: 20px auto; }

#fcuploadsummary { margin-top: 20px; margin-bottom: 20px !important; }
#fcuploadsummary dt { font-weight: bold; font-size: 120%; margin: 20px auto 10px auto; }
#fcuploadsummary dt.first { margin-top: 0; }
#fcuploadsummary dd { margin-bottom: 5px; }
#fcuploadsummary input { padding: 3px; }
#uploadstats dt { font-weight: bold; font-size: 120%; margin-bottom: 10px; }

td.headercell { font-weight: bold; }

#viewpath { white-space: nowrap; background: #efefef; margin: 0 auto 0 auto; padding: 0px 4px 0px 4px; }
#viewpath-outer { padding: 4px 4px 6px 4px; }
#viewpath-inner { position: relative; height: 1.8em; }
#viewpath-text { text-align: left; position: absolute; left: 0; margin-top: 4px; }
#filelist #viewpath-text a { display: inline; }

div#optmenutop { text-align: right; position: absolute; right: 0; }
#optmenutop select, #optmenutop input				{ margin: 0; padding: 2px 4px; vertical-align: middle; font-size: 85%; }
.actionrow .arcontrols select, .actionrow .arcontrols input	{ margin: 0; padding: 2px 4px; vertical-align: middle; font-size: 85%; }
/* form#optionstop, form#optionsbottom { display: inline; margin: 0; padding: 0; } */
#copymovedest_wrapper { margin-top: 15px; display: none; }

#optmenutop optgroup, #optmenubottom optgroup { font-weight: bold; font-style: normal; }
#optmenutop option, #optmenubottom option { padding-left: 20px; }

#filelist { text-align: left; border-collapse: separate; border-spacing: 0; margin: 2px auto; border: 1px solid #444; color: #000; width: 97%; }
#filelist tr { border: 0px solid white; }

#filelist td { }
#filelist td#viewpath-cell { padding: 0; }
#filelist td#viewpath-cell a { text-decoration: underline; }
#filelistpage .pagelinks { margin-top: 20px; }
#filelist td.actionrow { padding: 4px; text-align: right; vertical-align: middle; white-space: nowrap; }
#filelist .actionrow a:link, #filelist .actionrow a:visited { text-decoration: none; display: inline; width: auto; padding: 0; margin: 0; }

#filelist a:link { text-decoration: none; display: block; width: 100%; padding: 4px 2px; }
#filelist a:visited { text-decoration: none; display: block; width: 100%; padding: 4px 2px; }
#filelist .buy a:link { display: inline; text-decoration: underline; }


#filelist .emptytable { text-align: center; font-style: italic; padding: 4px; }

#filelist td.pname { background: url(%PREF{app_images_url}/fcarrow.gif) 1% 50% no-repeat; background-color: inherit; }
#filelist td.fname { background: url(%PREF{app_images_url}/fcfile.gif) 1% 50% no-repeat; background-color: inherit; }
#filelist td.diricon { background: url(%PREF{app_images_url}/fcfolder.gif) 1% 50% no-repeat; background-color: inherit; }
#filelist td.homeicon { background: url(%PREF{app_images_url}/fchome.gif) 1% 50% no-repeat; background-color: inherit; }
#filelist td.dname { background-color: inherit; }
#filelist td.pname, #filelist td.dname, #filelist td.fname { width: 55%; padding-left: 20px; }
/* #filelist td.thumb { background-image: none; } */
#filelist img.fcthumb { border: 1px solid #000; }
#filelist .mimeicon, #filegrid .mimeicon { border: 0; }


#filelist .info, #filelist .mv, #filelist .sel, #filelist .del, #filelist .opt, #filelist .cinfo { text-align: center; }
#filelist .size { text-align: right; }
#filelist .size { white-space: pre; padding: 4px 10px 4px 2px; }
#filelist .date { white-space: pre; padding: 4px 5px; text-align: right; }
#filelist .buy  { white-space: pre; padding: 4px 10px; text-align: left; }
#filelist .info, #filelist .mv, #filelist .del, #filelist .sel, #filelist .opt, #filelist .cinfo { padding: 0 6px; }
#filelist .spc { padding: 0 6px 0 3px; }

#filelist .info, #filelist .cp, #filelist .mv, #filelist .sel, #filelist .mopts, #filelist .del, #filelist .perms, #filelist .addbuy, #filelist .addfpw { display: none; }
#filegrid .info, #filegrid .cp, #filegrid .mv, #filegrid .sel, #filegrid .mopts, #filegrid .del, #filegrid .perms, #filegrid .addbuy, #filegrid .addfpw { display: none; }
#filelist #infohead, #filelist #cphead, #filelist #mvhead, #filelist #selhead, #filelist #delhead, #filelist #moptshead, #filelist #permshead, #filelist #addbuyhead { display: none; }
#filegrid #infohead, #filegrid #cphead, #filegrid #mvhead, #filegrid #selhead, #filegrid #delhead, #filegrid #moptshead, #filegrid #permshead, #filegrid #addbuyhead { display: none; }


.optsmenu { min-width: 90px; max-width: 150px; background: #eee; border: 1px solid #999; color: #000; text-align: left; box-shadow: 2px 2px 4px #777; }
.optsmenu a { display: block; text-decoration: none; padding: 3px 8px; color: #000; }
.optsmenu div { display: block; padding: 5px; color: #555; white-space: nowrap; font-style: italic; }
.optsmenu a:hover { background: #c7c7c7; }

#filelist th { text-align: center; padding: 5px 0; font-size: 120%; background: #507090; color: #fff; border-bottom: 1px solid #444; }
#filelist #namehead { text-align: left; padding-left: 7px; }
#filelist #buyhead { text-align: left; padding-left: 7px; }
#filelist #namehead a, #filelist #sizehead a, #filelist #datehead a, #filelist #buyhead a { color: #fff; font-weight: bold; }


#filegrid { margin: 10px auto; text-align: center; }
#filegrid td { width: 33%; padding: 10px; border: 1px solid #fff; }
#filegrid td:hover { background: #efefef; border: 1px solid #bbb; }
#filegrid a.thumb { display: block; }
#filegrid a.icon { display: block; border: 0; }
#filegrid img.icon { border: 0; }
#filegrid .prnt .info, #filegrid .prnt .size, #filegrid .prnt .cp, #filegrid .prnt .mv, #filegrid .prnt .sel, #filegrid .prnt .del { display: none; }
#filegrid .dir .info, #filegrid .dir .sel { display: none; }
#filegrid td#viewpath-cell a { text-decoration: underline; }
#filegrid img.fcthumb { border: 1px solid #000; }

#filegrid .pname a:link, #filegrid .dname a:link, #filegrid .fname a:link		{ text-decoration: none; padding: 4px 2px; }
#filegrid .pname a:visited, #filegrid .dname a:visited, #filegrid .fname a:visited	{ text-decoration: none; padding: 4px 2px; }
#filegrid .pname a:hover, #filegrid .dname a:hover, #filegrid .fname a:hover		{ text-decoration: underline; }

#filegrid .date, #filegrid .size { font-size: 90%; color: #676767; }

#filegrid .emptytable { text-align: center; font-style: italic; padding: 4px; }


form#itemactions { margin: 0; padding: 0; }
#filegrid .actionrow a:link, #filegrid .actionrow a:visited { text-decoration: none; display: inline; width: auto; padding: 0; margin: 0; }
#filegrid td.actionrow { padding: 6px; text-align: right; vertical-align: middle; white-space: nowrap; border-bottom: 0; }
#filegrid { width: 100%; }
.actionrow .sizeinfo	{ float: left; text-align: left; padding-left: 5px; margin-top: 4px; }
.actionrow .arlinks	{ float: right; text-align: right; padding-right: 10px; margin-top: 4px; width: 20%; }
.actionrow .arcontrols	{ float: right; text-align: right; padding-right: 1px; padding-left: 8px; }

.actionrow a.toggle-counts { text-decoration: underline !important; }


#filelist tr.actionrow { background: #507090 !important; color: #fff; }
#filelist td.actionrow { border-top: 1px solid #444; }
#filelist .actionrow a:link { color: #fff; }
#filelist .actionrow a:visited { color: #fff; }
#filelist .actionrow a:hover, #filelist .actionrow a:visited:hover { color: #000; }
#filelist td#viewpath-cell a { color: #507090; }
#filelist td#viewpath-cell a:hover { color: #aaa; }

#filegrid td#viewpath-cell { background: #efefef; border: 1px solid #bbb; padding: 2px; }
#filegrid td.actionrow { background: #efefef; border: 1px solid #bbb; }

#fcinfo { border-collapse: collapse; padding: 3px; margin: 0 auto; }
#fcinfo td { padding: 4px;  }
#fcinfo .spacer { height: 25px; }
#fcinfo .f { text-align: left; width: 50%; font-weight: bold; }
#fcinfo .v { text-align: left; }
#fcinfo .h { text-align: left; font-size: 16pt; font-weight: bold; }



#setfilecount_wrapper { margin: 15px 0 12px 0; }
#fcbody form#theuploadform { margin: 15px auto; width: 96%; }
#filefields { }
#filefields .even { }
#filefields .odd { }
.fileelement { margin-bottom: 5px; }
.onesubgroup { padding: 10px 0; border-top: 1px solid #ddd; }
.onesubgroup div { margin-bottom: 5px; }
.onesubgroup label { display: inline; font-size: 100%; } /* we're centered by default, so we don't need the floats and encclearfix-filefield stuff; just inline it. */
.onesubgroup label, .onesubgroup input, .onesubgroup select { margin: 2px 0; }
.onesubgroup picksubdir_label, .onesubgroup .newsubdir_label { }
.onesubgroup input.file { background: #eee; } /* compensate for weird width in Safari */
.upform_note { clear: both; }

#addanotherfile { margin: 15px auto; }

#top-textboxes-title, #bottom-textboxes-title
{
	font-weight: bold;

	border-top: 1px solid #ddd;
	padding: 8px;
}
.fcfieldwrap
{
	border-top: 1px solid #ddd;
	padding: 8px;
}
#fc-humantest
{
	border-top: 1px solid #ddd;
	padding: 8px;
}

#setfilecount_title { margin-bottom: 8px; }
#choosefiles_title { margin-top: 10px; }

#perfile-textboxes
{
	margin: 8px 0px;
}
#perfile-textboxes .fcfieldwrap
{
	padding: 0;
	border: 0;
}

#theuploadform textarea.upform_field
{
	height: 150px;
}
.radiobox
{
	margin-top: 3px !important;
	text-align: left;
}
#top-textboxes .radiobox,
#perfile-textboxes .radiobox,
#bottom-textboxes .radiobox
{
	float: left;
	width: 40%;
	display: block;
}

#%PREF{uploadbutton_id} { margin: 25px 0 10px 0; }
#uploadbuttonwrapper { border-top: 1px solid #ddd; }
.uploader-comments { text-align: left; border: 1px solid #e0e0e0; padding: 4px; }

.input_error_reqd, .input_error_email, .input_error_num, .input_error_alpha, .input_error_alphanum { background-color: #FFDD00 !important; }




.onesubgroup label, .onesubgroup input, .onesubgroup select { margin: 7px 0; }

.upform_pair
{
	clear: both;
	overflow: auto;
}
.upform_label
{
	float: left;
	width: 49%;
	text-align: left;
	padding: 3px 0;
}
#theuploadform .upform_field
{
	display: block;
	width: 49%;
	float: left;
	text-align: left;
}
#theuploadform input.text,
#theuploadform textarea.upform_field,
#theuploadform select.upform_field
{
	border: 1px solid #888;
	padding: 3px;
	background: #efefef;
}
#theuploadform input.text,
#theuploadform textarea.textarea
{
	/* width: 47%; */   /* this is now covered by .upform_field */
}
#theuploadform input.checkbox
{
	width: 15px;
}
#theuploadform .upform_field:hover, #theuploadform .upform_field:focus
{
	background: #fff;
}
.upform_note, .nthfile_removal_link, .nthfile_autofill_link
{
	text-align: left;
	padding: 7px 0;
}




#fcbody .hr { height: 1px; margin: 15px 2px; line-height: 1px; }
#fcbody h1, #fcbody h2, #fcbody h3, #fcbody h4, #fcbody h5, #fcbody h6 { margin-top: 5px; margin-bottom: 5px; }
#fcbody form { margin: 0; padding: 0; }
#fcbody p { margin-top: 10px; margin-bottom: 10px; }

#selections_table
{
	border-collapse: collapse;
	border: 1px solid #9a9a9a;
	margin: 15px auto;
	text-align: left;
}
#selections_table .odd	{ background: #e6e6e6; }
#selections_table .even	{ background: #efefef; }
#selections_table td { padding: 4px 4px 4px 20px; background: url(%PREF{app_images_url}/fcfile.gif) 1% 50% no-repeat; }

#place_order { text-align: center; }
#theorderform { width: 300px; margin: 0 auto; padding: 3px; text-align: left; border: 1px solid #999; background: #e6e6e6; }
#theorderform .text { width: 150px; margin: 5px; padding: 3px; border: 1px solid #676767; }
#theorderform .submit input { margin: 5px; }

#itemperms { text-align: center; margin: 30px auto; width: 90%; }
#itemperms th { padding: 12px; font: bold 16pt sans-serif; }
#itemperms .heading td { padding: 15px; font: bold 10pt sans-serif; }
#itemperms td { padding: 2px; text-align: left; white-space: nowrap; }
#itemperms td.name { text-align: left; }
#itemperms td.path { text-align: left; }
#itemperms td.none { text-align: left; font-style: italic; }
#itemperms td.ro, #itemperms td.rw { padding-left: 80px; white-space: nowrap; }
#itemperms td.read, #itemperms td.write, #itemperms td.denied { padding-left: 40px; white-space: nowrap; }
#itemperms .heading td, #itemperms .noperms td, #itemperms .button td { text-align: center; }
.itemperms-letters { font-size: 120%; font-weight: bold; }
#fc-container .itemperms-letters a { padding: 4px; color: #507090; text-decoration: none; }
#fc-container .itemperms-letters a:hover { background: #507090; color: #fff; }
#fc-container .itemperms-letters a.current { text-decoration: underline; }
#itemperms .button { margin: 10px; }

.footnote { font: italic 9pt sans-serif; color: #888; margin: 5px 40px; }

#viewer_mode_nav_bar
{
	width: 50%;
	margin: 20px auto 10px auto;
	padding: 6px;
	background: #f5f5f5;
	border-top: 1px solid #bbb;
	border-bottom: 1px solid #bbb;
	color: #555;
}
#viewer_mode_nav_bar a
{
	color: #555;
}
#viewer_mode_img_link
{
	border: 0;
}
#viewer_mode_preview_image
{
	border: 1px solid #000;
}

form#add_new_comment
{
	width: 330px;
	margin: 20px auto;
	padding: 10px;
	text-align: left;
}
form#add_new_comment div
{
	margin-bottom: 8px;
}
form#add_new_comment h2
{
	text-align: center;
	margin: 0 0 8px 0;
}
form#add_new_comment label
{
	display: inline-block;
	width: 35%;
	text-align: left;
}
#add_new_comment input.textline
{
	width: 60%;
	margin-right: 5px;
	padding: 4px;
}
#add_new_comment textarea.textblock
{
	width: 97%;
	height: 150px;
	padding: 4px;
}
#add_new_comment #comment_preview_button_wrapper
{
	margin-bottom: 0;
	text-align: center;
}
#add_new_comment #comment_preview_button
{
	margin: 0 auto;
	display: inline-block;
}

form#comment_submission
{
	margin-bottom: 20px;
}
#comment_submission_button
{
	
}

.posted_comment
{
	width: 480px;
	margin: 20px auto;
	text-align: left;
	padding: 8px;
}
.posted_comment .comment_header
{
	overflow: auto;
	padding-bottom: 8px;
	margin-bottom: 8px;
}
.posted_comment .commenter_name
{
	width: 49%;
	float: left;
}
.posted_comment .comment_date
{
	width: 49%;
	float: right;
	text-align: right;
}
.posted_comment .comment_body
{
}




.altcolor1 { color: #ffd200; }

#fc_upload_iframe { border: 0 !important; }



.encclear { height: 0; line-height: 0; font-size: 0; clear: both; }

.encclearfixtb:after {
    content: "."; 
    display: block; 
    height: 0; 
    clear: both; 
    visibility: hidden;
}

.encclearfixtb { display: inline-block; }

/* Hides from IE-mac \*/
* html .encclearfixtb {height: 1%;}
.encclearfixtb {display: block;}
/* End hide from IE-mac */



.encclearfix:after {
    content: "."; 
    display: block; 
    height: 0; 
    clear: both; 
    visibility: hidden;
}

.encclearfix { display: inline-block; }

/* Hides from IE-mac \*/
* html .encclearfix {height: 1%;}
.encclearfix {display: block;}
/* End hide from IE-mac */


/* %%custom_css_rules%% */


`;



$PREF{css_for_upload_progress_table___hook} = qq`
#tca1,#tcb1,#tcc1,#tcd1 { width: 25%; }
#tca2,#donef,#leftf,#totalf { width: 25%; }
#tca3,#dones,#lefts,#totals { width: 25%; }
#tca4,#donet,#leftt,#totalt { width: 25%; }
`;



$PREF{css_for_upload_progress_table___nonhook} = qq`
#tca1,#tcb1,#tcc1,#tcd1 { width: 33%; }
#tca2,#donef,#leftf,#totalf { position: absolute; left: -10000px; overflow: hidden; height: 0; }
#tca3,#dones,#lefts,#totals { width: 34%; }
#tca4,#donet,#leftt,#totalt { width: 33%; }
`;









$PREF{css_light} = qq`

#fcwrapper .shad01 { background: url(%PREF{app_images_url}/shad01c.png); top: 0; left: 0;	left: 22px; right: 22px; height: 12px; }
#fcwrapper .shad02 { background: url(%PREF{app_images_url}/shad02c.png); top: 0; right: 0;	top: 22px; bottom: 22px; width:  12px; }
#fcwrapper .shad03 { background: url(%PREF{app_images_url}/shad03c.png); bottom: 0; left: 0;	left: 22px; right: 22px; height: 12px; }
#fcwrapper .shad04 { background: url(%PREF{app_images_url}/shad04c.png); top: 0; left: 0;	top: 22px; bottom: 22px; width:  12px; }
#fcwrapper .shad05 { background: url(%PREF{app_images_url}/shad05c.png); top: 0; left: 0; }
#fcwrapper .shad06 { background: url(%PREF{app_images_url}/shad06c.png); top: 0; right: 0; }
#fcwrapper .shad07 { background: url(%PREF{app_images_url}/shad07c.png); bottom: 0; right: 0; }
#fcwrapper .shad08 { background: url(%PREF{app_images_url}/shad08c.png); bottom: 0; left: 0; }
#fcwrapper .shad01, #fcwrapper .shad02, #fcwrapper .shad03, #fcwrapper .shad04 { position: absolute; }
#fcwrapper .shad05, #fcwrapper .shad06, #fcwrapper .shad07, #fcwrapper .shad08 { position: absolute; width: 22px; height: 22px; }
#fcwrapper { position: relative; padding: 12px; }

#filelist tr.even { background: #efefef; }
#filelist tr.folder_comments { background: #efefef; }
#filelist tr.odd { background: #e6e6e6; }
#filelist a:link { color: black; }
#filelist a:visited { color: black; }
#filelist a:hover { color: white; }

/* Add these to replace the JS-based row mouseovers: */
#filelist tr.odd:hover, #filelist tr.even:hover { background: #507090; color: #fff; }
#filelist tr.odd:hover a, #filelist tr.even:hover a { color: #fff; }
/* */

#filelist tr.selected_item_odd  { background: #ffff99; }
#filelist tr.selected_item_even { background: #f7f799; }

#filegrid .pname a:link, #filegrid .dname a:link, #filegrid .fname a:link		{ color: #000; }
#filegrid .pname a:visited, #filegrid .dname a:visited, #filegrid .fname a:visited	{ color: #000; }
#filegrid .pname a:hover, #filegrid .dname a:hover, #filegrid .fname a:hover		{ color: #000; }

#filegrid .filerow { padding: 1px; }
#filegrid .selected_item { background: #ff9; border: 1px solid #bb7; padding: 0px !important; }
#filegrid .actionrow a:link, #filegrid .actionrow a:visited { color: black; }
#filegrid .actionrow a:link:hover, #filegrid .actionrow a:visited:hover { text-decoration: underline; }

#fcinfo { border: 1px solid #ccc; background: #efefef; }
#fcinfo tr:hover { background: #e0e0e0; }
#fcinfo td { border-top: 1px solid #ccc; }

#fcbody .hr { border-bottom: 1px solid #000; }

form#add_new_comment
{
	border: 1px solid #bbb;
	background: #f5f5f5;
}
form#add_new_comment h2
{
	color: black;
}
#add_new_comment input#comment_preview_button
{
	/*
	border: 1px solid #999;
	background: #ddd;
	color: #000;
	font-weight: bold;
	padding: 4px 7px;
	*/
}
#add_new_comment input.textline, #add_new_comment textarea.textblock
{
	border: 1px solid #ccc;
	background: #fbfbfb;
}
#add_new_comment input.textline:focus, #add_new_comment textarea.textblock:focus
{
	border: 1px solid #777;
	background: #fff;
}
.posted_comment
{
	border: 1px solid #bbb;
	background: #f6f6f6;
}
.posted_comment .comment_header
{
	border-bottom: 1px solid #bbb;
}
.posted_comment .comment_body
{
	color: #444;
}


/* Actually, let's leave the drop-shadows on the wide pages.  If content overflows, it overflows, and	*/
/* the lack of drop-shadows doesn't really make that look any better, plus it's jarring to go from a	*/
/* regular page to a wide page when one has the drop-shadows and the other has just a flat border.	*/
/*
.fcwrapper_widepage .shad01, .fcwrapper_widepage .shad02, .fcwrapper_widepage .shad03, .fcwrapper_widepage .shad04 { display: none; }
.fcwrapper_widepage .shad05, .fcwrapper_widepage .shad06, .fcwrapper_widepage .shad07, .fcwrapper_widepage .shad08 { display: none; }
*/

`;



$PREF{css_light_ie6} = qq`
#fcbody { background: #fff; }
`;












$PREF{css_dark} = qq`
#fcbody { background: #000; color: #fff; }
#fctitle { padding-top: 10px !important; color: #fff; }
#fcintro { margin: 0 7px; }
#fc-container a { color: #ccc; }
#fc-container a:hover { color: #fff; }
#uploaderpage, #uploadcompletepage, #filelistpage, #defaultpage { background: #000; border: 0px; }

#progBarContainer table { color: #fff; background: #424242; border-top: 1px solid #000; border-left: 1px solid #000; border-bottom: 1px solid #fff; border-right: 1px solid #fff; }
#progBarContainer #upload-row-1, #progBarContainer #upload-row-3 { background: #545454; }
#progBarContainer #upload-row-2, #progBarContainer #upload-row-4 { background: #545454; }
#progBarContainer table td#tca1,#progBarContainer table td#tca2,#progBarContainer table td#tca3,#progBarContainer table td#tca4 { border-top: 0; }
#dones,#lefts,#totals,#donef,#leftf,#totalf,#donet,#leftt,#totalt { border-top: 1px solid #676767; }
#progBar { background: #6a6a6a; border-top: 1px solid #000; border-left: 1px solid #000; border-bottom: 1px solid #fff; border-right: 1px solid #fff; }
#progBarDone { border-right: 1px solid #000; background: #993333; }
/*
#filefields { background: #333; background: transparent; color: #fff; margin: 0px 20px; border: 1px solid #393939; }
#filefields .even { background: #000; }
#filefields div { margin-top: 8px; margin-bottom: 12px; }
.onesubgroup { padding: 3px 0; }
#top-textboxes, #perfile-textboxes, #bottom-textboxes { margin: 25px 20px; padding: 5px; border: 1px solid #393939; }
*/
.onesubgroup input.file { background: #000; } /* compensate for weird width in Safari */

#filelist tr.even { background: #545454; }
#filelist tr.folder_comments { background: #545454; }
#filelist tr.odd { background: #545454; }
#filelist a:link { color: white; }
#filelist a:visited { color: white; }
#filelist a:hover { color: black; }

table#filelist { color: #fff; border: 1px solid #333; border-bottom: 1px solid #333;  margin: 0 auto 20px auto; }
#filelist th { background: #333; border-bottom: 0px solid #000; }
#filelist td { border-top: 1px solid #676767; }
#filelist a:hover { color: #fff; }
#filelist td#viewpath-cell { border-top: 0; border-bottom: 1px solid #676767; padding: 0; }
#filelist td#viewpath-cell a { color: #fff; }
#filelist td#viewpath-cell a:hover { color: #aaa; }

#viewpath { background: #545454; }

#filegrid { width: 95%; }
#filegrid { border-collapse: collapse; }
#filegrid td { border: 0; }
#filegrid td:hover { border: 0; background: #333; }
#filegrid .date, #filegrid .size { font-size: 90%; color: #fff; }
#filegrid td.actionrow { background: #545454; border: 1px solid #333; }
#filegrid td#viewpath-cell { background: #545454; border: 1px solid #333; padding: 3px; }

#filelist tr.actionrow { background: #333 !important; }
#filelist .actionrow a:link { color: #fff; }
#filelist .actionrow a:visited { color: #fff; }
#filelist .actionrow a:hover, #filelist .actionrow a:visited:hover { color: #bbb; }
#filelist td.actionrow { background: #333; border: 1px solid #333; border-top: 1px solid #444; }

#fcfooter { margin-top: 12px; padding: 10px 4px; }
#fcfooter a { color: #fff; text-decoration: none; font-weight: bold; }
#fcfooter a:hover { color: #aaa !important; }


/* Add these to replace the JS-based row mouseovers: */
#filelist tr.odd:hover, #filelist tr.even:hover { background: #474747; color: #fff; }
#filelist tr.odd:hover a, #filelist tr.even:hover a { color: #fff; }
/* */

#filelist tr.selected_item_odd  { background: #aa3333; }
#filelist tr.selected_item_even { background: #aa3333; }

#filegrid .pname a:link, #filegrid .dname a:link, #filegrid .fname a:link		{ color: #fff; }
#filegrid .pname a:visited, #filegrid .dname a:visited, #filegrid .fname a:visited	{ color: #fff; }
#filegrid .pname a:hover, #filegrid .dname a:hover, #filegrid .fname a:hover		{ color: #fff; }

#filegrid .filerow { padding: 1px; }
#filegrid .selected_item { background: #aa3333; border: 1px solid #883333; padding: 0px !important; }
#filegrid .actionrow a:link, #filegrid .actionrow a:visited { color: #fff; }
#filegrid .actionrow a:link:hover, #filegrid .actionrow a:visited:hover { text-decoration: underline; }



.popupstatusbody { background: #000 !important; }

#viewer_mode_nav_bar { background: #333; border-color: #666; color: #888; }

#fcinfo { border: 1px solid #666; background: #333; }
#fcinfo tr:hover { background: #555; }
#fcinfo td { border-top: 1px solid #666; }

#fcbody .hr { border-bottom: 1px solid #777; }

form#add_new_comment
{
	border: 1px solid #666;
	background: #333;
}
#add_new_comment input#comment_preview_button
{
	border: 1px solid #000;
	background: #666;
	color: #fff;
	font-weight: bold;
	padding: 4px 7px;
}
#add_new_comment input.textline, #add_new_comment textarea.textblock
{
	border: 1px solid #555;
	background: #000;
	color: #fff;
}
#add_new_comment input.textline:focus, #add_new_comment textarea.textblock:focus
{
	border: 1px solid #000;
	background: #b00;
}
.posted_comment
{
	border: 1px solid #666;
	background: #333;
}
.posted_comment .comment_header
{
	border-bottom: 1px solid #bbb;
}

`;









$PREF{css_dark_ie} = qq``;









# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# This debug setting may help troubleshoot some issues.  However, you should
# not enable it unless you're having a problem, and even then only
# temporarily, because in some cases it can cause features not to work.
#
$PREF{enable_debug}					= 'no';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# By default, if your server's version of the CGI.pm module is >= 3.03,
# then we'll use its upload hook.  If it's older than 3.03, we'll do it
# manually, since older versions don't support the upload hook.  This 
# means we can't show the counts for number of files completed/remaining,
# but if your server has an ancient version of the CGI.pm module, then
# you have no choice.  Anyway, this PREF is in case the script isn't
# working for you, even though you DO have v3.03 or newer.  Setting this
# to 'yes' will force the manual behavior, and the only loss will be the
# aforementioned files-completed/files-remaining; the time and size will
# still display properly.
#
# When not using the upload hook functionality (either because you disable
# it here, or because FileChucker automatically disables it because your
# server's version of Perl doesn't support it) you can specify an amount
# of time to sleep during each pass of the while() loop that uploads the
# data from the client.  Decrease this value to make uploads faster; or
# increase it to cut down on the server load.
#
$PREF{disable_upload_hook}				= 'no';
$PREF{sleep_time_during_nonhook_uploads}		= 0.01; # in seconds.



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# On servers that are slow or overloaded, increasing the delay between
# progress bar updates may help.  The default value is 700 (in milliseconds)
# so you might want to increase this to, say, 2000 or 4000.
#
$PREF{progressbar_update_delay}				= 700;



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# Some servers have write-caching or other mechanisms installed in such a
# way that makes real-time progress bar updates impossible.  If you're stuck
# on such a server you can disable the progress bar.  You'll probably also
# need to disable $PREF{use_iframe_for_upload} then.
#
$PREF{upload_progress_bar_disabled}			= 'no';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# In some cases, the upload progress bar may display an error, even though
# it is working properly.  If that happens on your server, enable this
# setting.
#
$PREF{hide_upload_progress_bar_errors}			= 'no';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# FileChucker can use a database backend instead of diskfiles to store
# its temporary working data, if you'd like.  There's really no benefit
# of one method over the other (and on servers that perform write-caching,
# thus preventing the progress bar from working properly, the database 
# backend doesn't actually work around the problem, as we had thought it
# might).
#
# For this to work, your database username (in PREFs Section 12) needs 
# privileges for INSERT, UPDATE, SELECT, DELETE, and CREATE.  If you're
# paranoid and don't want to give it CREATE privs, then see the
# create_db_table_for_temp_data() function to find out the column types,
# so you can create the table manually.
#
# THIS FEATURE IS CURRENTLY INCOMPLETE.
#
#$PREF{use_database_for_temp_data}			= 'no';
#$PREF{table_name_for_temp_data}			= 'temp_upload_data';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# These directory settings shouldn't be adjusted in most cases.
#
$PREF{name_of_subfolder_for_thumbnails_etc}		= 'encmisc';
$PREF{human_test_folder_name}				= 'fcht';
$PREF{human_test_image_directory___url}			= '%PREF{appdir_url}/%PREF{human_test_folder_name}';
$PREF{human_test_image_directory___real}		= '%PREF{appdir_real}/%PREF{human_test_folder_name}';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# You probably don't want the temp-data entries filling up your DB since
# they don't actually contain any useful information after the upload is
# complete.  But you can disable this if for some reason you want them kept.
# Note that this doesn't delete the uploaded files; they aren't stored in
# the database.
#
$PREF{purge_temp_data_immediately}			= 'yes';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# If you're using FileChucker in a way where it doesn't make sense for the
# default page to be the uploader, you can change that here.  Currently the
# options are 'uploader' and 'filelist'.
#
$PREF{default_page}					= 'uploader';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# If your installation involves an uploads directory without subfolders, or
# whose subfolders never change, and you have an extremely large number of
# files and/or folders in your uploads directory, to the point where just
# visiting FileChucker's upload page (or download page) takes a long time
# because it's scanning so many items, you may want to manually specify
# your writable directories here.  For example:
#
#	$PREF{static_writable_directories_list} = [ '/', '/photos/', '/songs/' ];
#
# Note that the directories you specify here are relative to your
# $PREF{uploaded_files_dir}, not to your DOCROOT nor your server root.
# 
# Of course if you're manually specifying that these folders are writable,
# that means you cannot use any features which would attempt to read/set
# these permissions dynamically, like custom folder permissions, userdirs,
# etc.  This is only for installations where the writable directories list
# really is static.
#
$PREF{static_writable_directories_list}			= [];



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# If you want to use Ko instead of KB, etc, you can set those labels here.
# Note that you should not change these to Kb or Mb, since lowercase-b means
# "bit", not "byte", so all the displayed values would be incorrect.
#
$PREF{KB}						= 'KB';
$PREF{MB}						= 'MB';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# As of early 2011, the Opera browser doesn't properly support selecting
# multiple files within a single file element for upload.  If/when they fix
# this, you can change this setting to 'no'.  Or you can just disable the
# feature altogether.
#
# As of Sept 2014, Safari on iOS7 will send corrupt upload data if you
# try to upload a video file in a normal multi-file-upload element; and
# as of Oct 2014, Safari/iOS8 will crash/reload the page for the same.
# Hopefully Apple will fix these bugs but until then we'll disable the
# feature for MobileSafari users.
#
$PREF{allow_multiple_files_in_one_element}		= 'yes';
$PREF{disable_multiple_files_in_one_element_for_opera}	= 'yes';
$PREF{disable_multiple_files_in_one_element_for_mobilesafari} = 'yes';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# The $PREF{debuglog} setting outputs to a file in the app's encdata/
# directory.  It's meant mainly for servers without proper STDERR support,
# and for internal debugging rather than end-user usage.
#
$PREF{debuglog}						= 'no';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# Once you've got FileChucker installed and configured, you may want to
# suppress all real error messages and instead just display a generic
# shorter/more friendly message, e.g. 'Server Error', without any details.
# If so, you can set that here.
#
$PREF{static_error_message}				= '';



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# Various settings.
#
$PREF{server_handles_ip_addresses_incorrectly}		= 'no';
$PREF{always_show_details_for_move_and_copy_operations}	= 'no';
$PREF{force_nocache_on_all_output}			= 'no';
$PREF{use_unicode_in_sql_safety_checks}			= 'no';
$PREF{static_hostname}					= '';   # if the app takes a long time to load, try setting this to your site's domain name (e.g. 'yoursite.com').



# PREFs Section Z: Misc Settings Not Usually Needed.
############################################################################
# FileChucker will always look for a file named filechucker_prefs.cgi to read
# preference settings from.  But you can also create other prefs files in case
# you want to run FileChucker with different settings depending on how it's 
# called.  There are 2 methods for this:
#
# The first and recommended method is the shortcut method.  This requires you to
# specify (within filechucker.cgi or filechucker_prefs.cgi) shortcut names and
# shortcut targets.  Then you pass the shortcut_name on the URL with ?prefs=foo
# and that will cause FileChucker to use the filename specified in shortcut_target
# for shortcut_name = foo.  For example, given these settings:
#
#	$PREF{other_prefs_files}{01}{shortcut_name}	= qq`foo`;
#	$PREF{other_prefs_files}{01}{shortcut_target}	= qq`bar_prefs.txt`;
#
# ...then this URL:
#
#	http://example.com/cgi-bin/filechucker.cgi?prefs=foo
#
# ...will cause FileChucker to load prefs from the bar_prefs.txt file.
#
# The second method allows you to specify the full prefs filename including
# path on the URL with ?prefsfile=/cgi-bin/foo/bar/baz.txt.  The advantage of
# this method is that you don't have to specify the allowable prefs files 
# beforehand; the disadvantage is that, although we do our best to untaint
# filenames coming from the URL, accepting filenames to execute from the URL
# which any user can specify is always something of a security risk.  So
# using the shortcut method instead is more secure because FileChucker will
# only use filenames that you have hard-coded into either filechucker.cgi or
# filechucker_prefs.cgi beforehand.
#
# For either method, the _in_docroot PREF controls whether we'll automatically
# prepend your $DOCROOT value onto the filenames that you specify.  On most
# servers, if you put your prefs files in the same folder as filechucker.cgi,
# and you specify the filenames here with no path information, then the script
# will find them OK with _in_docroot set to 'no'.  Using in_docroot = 'no' also
# allows you to specify the full path with the filenames, all the way from the
# root of your server.  Using _in_docroot = 'yes' allows you to specify the
# filenames with just the website portion of the path, for example you could
# say {shortcut_target} = qq`/cgi-bin/client_prefs.txt`.
#
$PREF{other_prefs_files}{01}{shortcut_name}		= 'clients';
$PREF{other_prefs_files}{01}{shortcut_target}		= 'clients_prefs.txt';
$PREF{other_prefs_files}{02}{shortcut_name}		= 'vendors';
$PREF{other_prefs_files}{02}{shortcut_target}		= 'vendors_prefs.txt';
#
$PREF{enable_other_prefs_files_with_filename_on_URL}	= 'no';
$PREF{other_prefs_filenames_from_URL_can_contain_paths}	= 'no';
#
$PREF{other_prefs_files_are_in_docroot}			= 'no';









# PREFs Section C: Common Settings (used by multiple Encodable apps)
##########################################################################FC
# Text strings:
#
$TEXT{Access_denied_}						= qq`Access denied.`;

$TEXT{boolean_false_string}					= 'no';
$TEXT{boolean_true_string}					= 'yes';

$TEXT{database_create_button}					= qq`Add new %%itemname%%`;
$TEXT{database_create_button_2}					= qq`Save new %%itemname%%`;
$TEXT{database_delete_successful}				= qq`Successfully deleted the %%itemname%%.`;
$TEXT{database_deleter_title}					= qq`Or you can delete this %%itemname%%:`;
$TEXT{database_deleter_checkbox}				= qq`Check this box to confirm that you want to delete the %%itemname%%.`;
$TEXT{database_deleter_button}					= qq`Delete this %%itemname%%`;
$TEXT{database_file_picker_available_files_label}		= qq`Available Files:`;
$TEXT{database_file_picker_choose_button}			= qq`Choose`;
$TEXT{database_file_picker_chosen_files_label}			= qq`Chosen File(s):`;
$TEXT{database_file_picker_no_files_label}			= qq`(none)`;
$TEXT{database_file_picker_remove_button}			= qq`Remove`;
$TEXT{database_file_picker_upload_files_label}			= qq`Attach File(s):`;
$TEXT{database_image_picker_available_images_label}		= qq`Available Images:`;
$TEXT{database_image_picker_choose_button}			= qq`Choose`;
$TEXT{database_image_picker_chosen_images_label}		= qq`Chosen Image(s):`;
$TEXT{database_image_picker_no_images_label}			= qq`(none)`;
$TEXT{database_image_picker_remove_button}			= qq`Remove`;
$TEXT{database_image_picker_upload_images_label}		= qq`Upload New Image(s):`;
$TEXT{database_save_button}					= qq`Save changes`;
$TEXT{database_search_button}					= qq`Search`;
$TEXT{days}							= qq`days`;
$TEXT{Delete}							= qq`Delete`;

$TEXT{Edit}							= qq`Edit`;
$TEXT{Enter_the_password}					= qq`Enter your password:`;
$TEXT{Error_input_not_alnum}					= qq`Error: field "%%encfieldname%%" must contain only letters and numbers.`;
$TEXT{Error_input_not_numeric}					= qq`Error: value for field "%%encfieldname%%" must be numeric.`;
$TEXT{Error_input_not_word}					= qq`Error: field "%%encfieldname%%" must contain only letters, numbers, and underscores.`;
$TEXT{Error_input_null}						= qq`Error: field "%%encfieldname%%" cannot be blank.`;
$TEXT{Error_input_too_large}					= qq`Error: value for field "%%encfieldname%%" cannot exceed %%max%%.`;
$TEXT{Error_input_too_long}					= qq`Error: length of input for field "%%encfieldname%%" cannot exceed %%max%% character(s).`;
$TEXT{Error_input_too_short}					= qq`Error: length of input for field "%%encfieldname%%" cannot be less than %%min%% character(s).`;
$TEXT{Error_input_too_small}					= qq`Error: value for field "%%encfieldname%%" cannot be less than %%min%%.`;

$TEXT{Keep_me_logged_in_for}					= qq`Keep me logged in for`;

$TEXT{Login}							= qq`Login`;
$TEXT{Logout}							= qq`Logout`;

$TEXT{My_Account}						= qq`My Account`;

$TEXT{no}							= qq`no`;
$TEXT{no_output_from_database}					= qq`<div style="text-align: center; font-style: italic;">(none)</div>`;

$TEXT{password_not_set}						= qq`You must <a href="%%newpw_link%%">set your administrator password</a> first.`;
$TEXT{Please_enter_a_number_}					= qq`Please enter a number.`;
$TEXT{Please_enter_only_letters_}				= qq`Please enter only letters.`;
$TEXT{Please_enter_only_letters_and_numbers_}			= qq`Please enter only letters and numbers.`;
$TEXT{Please_enter_a_valid_email_address_}			= qq`Please enter a valid email address.`;
$TEXT{Please_fill_in_the_required_items_}			= qq`Please fill in the required item(s).`;

$TEXT{Record_deleted_successfully_}				= qq`Record deleted successfully.`;

$TEXT{Test_Email_Sending}					= qq`Test Email Sending`;
$TEXT{The_password_you_entered_is_incorrect___}			= qq`The password you entered is incorrect.<br />Go back and try again.`;

$TEXT{yes}							= qq`yes`;









# PREFs Section C: Common Settings (used by multiple Encodable apps)
############################################################################
# Styling:
#
$PREF{css_shared} = qq`

#enc_vis_id_setter { position: absolute; left: -5500px; height: 0; overflow: hidden; }

.enc_drop_shadow { position: relative; padding: 12px; }
.enc_drop_shadow .sh1 { background: url(%PREF{app_images_url}/shad01c.png); top: 0; left: 0;	left: 22px; right: 22px; height: 12px; }
.enc_drop_shadow .sh2 { background: url(%PREF{app_images_url}/shad02c.png); top: 0; right: 0;	top: 22px; bottom: 22px; width:  12px; }
.enc_drop_shadow .sh3 { background: url(%PREF{app_images_url}/shad03c.png); bottom: 0; left: 0;	left: 22px; right: 22px; height: 12px; }
.enc_drop_shadow .sh4 { background: url(%PREF{app_images_url}/shad04c.png); top: 0; left: 0;	top: 22px; bottom: 22px; width:  12px; }
.enc_drop_shadow .sh5 { background: url(%PREF{app_images_url}/shad05c.png); top: 0; left: 0; }
.enc_drop_shadow .sh6 { background: url(%PREF{app_images_url}/shad06c.png); top: 0; right: 0; }
.enc_drop_shadow .sh7 { background: url(%PREF{app_images_url}/shad07c.png); bottom: 0; right: 0; }
.enc_drop_shadow .sh8 { background: url(%PREF{app_images_url}/shad08c.png); bottom: 0; left: 0; }
.enc_drop_shadow .sh1, .enc_drop_shadow .sh2, .enc_drop_shadow .sh3, .enc_drop_shadow .sh4 { position: absolute; }
.enc_drop_shadow .sh5, .enc_drop_shadow .sh6, .enc_drop_shadow .sh7, .enc_drop_shadow .sh8 { position: absolute; width: 22px; height: 22px; }

#database_deleter .enc_tbl	{ max-width: 780px; }
.enc_dbcreate_tbl_vert		{ max-width: 780px; }
.enc_dbedit_tbl_vert		{ max-width: 780px; }
.enc_dbview_tbl_vert		{ max-width: 780px; }
.enc_dbview_tbl_vert td		{ text-align: left; }
.enc_dbview_tbl_vert td.addnew	{ text-align: center; }

.header_input_notes { display: inline-block; font-style: italic; font-weight: normal; margin-left: 8px; }
#encdb_showhide_links { display: none; }
.encdb_content_link { text-decoration: underline !important; }
.database_subtitle { font-weight: bold; font-size: 11pt; margin-top: -14px; color: #999; }
.database_header_note { font-style: italic; }
.database_header_note a { text-decoration: underline !important; }
#db_view_controls { margin-bottom: -4px !important; }

.encdb_imgpkr_wrapper .empty_placeholder { margin-top: 20px; font-style: italic; }
.encdb_imgpkr_chosen_label { font-weight: bold; font-size: 11pt; }
.encdb_imgpkr_all_label { font-weight: bold; font-size: 11pt; margin-top: 20px; }
.encdb_imgpkr_upload_label { font-weight: bold; font-size: 11pt; margin-top: 20px; }
.encdb_imgpkr_chosen, .encdb_imgpkr_all, .encdb_imgpkr_upload
{
	margin-top: 10px;
	min-height: 50px;
	max-height: 300px;
	overflow: auto;
	padding-left: 10px;
}
.encdb_imgpkr_image_block
{
	overflow: auto;
	margin: 10px 0;
}
.encdb_imgpkr_image_block .imgpkr_text
{
	float: left;
	padding-top: 10px;
}
.encdb_imgpkr_image_block .imgpkr_thumb		{ float: left; }
.encdb_imgpkr_image_block img			{ margin-right: 10px; }
.encdb_imgpkr_upload input			{ margin-top: 15px; }


.encdb_filpkr_wrapper .empty_placeholder { margin-top: 20px; font-style: italic; }
.encdb_filpkr_chosen_label { font-weight: bold; font-size: 11pt; }
.encdb_filpkr_all_label { font-weight: bold; font-size: 11pt; margin-top: 20px; }
.encdb_filpkr_upload_label { font-weight: bold; font-size: 11pt; margin-top: 20px; margin-top: 4px; }
.encdb_filpkr_chosen, .encdb_filpkr_all, .encdb_filpkr_upload
{
	margin-top: 10px;
	min-height: 50px;
	max-height: 300px;
	overflow: auto;
	padding-left: 10px;
}
.encdb_filpkr_file_block
{
	overflow: auto;
	margin: 10px 0;
}
.encdb_filpkr_file_block .filpkr_text
{
	float: left;
	padding-top: 10px;
}
.encdb_filpkr_file_block .filpkr_thumb		{ float: left; }
.encdb_filpkr_file_block img			{ margin-right: 10px; }
.encdb_filpkr_upload input			{ margin-top: 15px; }


.enc_tablestyle_b { margin: 25px auto; border-width: 1px; border-style: solid; border-collapse: collapse; }
.enc_tablestyle_b th { padding: 10px; }
.enc_tablestyle_b td { padding: 10px; }
.enc_tablestyle_b tr { border-top-width: 1px; border-top-style: solid; }

.enc_box_a { margin: 25px auto; border-width: 1px; border-style: solid; padding: 10px; max-width: 400px; }

`;









# PREFs Section C: Common Settings (used by multiple Encodable apps)
############################################################################
# Styling for light theme:
#
$PREF{css_shared_light} = qq`

.version_info { border-top: 1px solid #bbb; }
.admin_footnote { border-bottom: 1px solid #bbb; margin: 0px auto !important; padding: 10px 0; max-width: 450px; }

#enc_server_info table, #enc_prefs_list table { text-align: left !important; }

.enc_tbl
{
	border: 1px solid #777;
	margin: 10px auto;
}
.enc_tbl table
{
	border-collapse: separate;
	border-spacing: 0;
	border: 0;
	background: #fff;
	width: 100%;
	margin: 0;
	font-size: 8pt;
	text-align: center !important;
}
.enc_tbl table th
{
	padding: 9px;
	background: #507090;
	color: #fff;
	font-weight: bold;
}
.enc_tbl td.verthead
{
	padding: 9px;
	background: #507090;
	color: #fff;
	width: 30%;
	font-weight: bold !important;
}
.enc_tbl table th a, .enc_tbl td.verthead a, .enc_tbl td.verthead a:visited
{
	color: #fff !important;
	text-decoration: none;
}
.enc_tbl table td a, .enc_tbl table td a:visited
{
	color: #000 !important;
	border: 0;
}
.enc_tbl table td
{
	padding: 7px;
	border-bottom: 1px solid #fff;
}
.enc_tbl table td.verthead, .enc_tbl table td.vertcell
{
	border-bottom: 1px solid #999;
}
/* For groups of related fields all in a row, make it easier to see that they're */
/* part of a group, by styling them together a bit differently than the others:  */
.enc_tbl table tr.group_odd td.verthead
{
	background: #406080;
	border-bottom: 1px solid #777;
}
.enc_tbl table tr.group_odd td.vertcell
{
	background: #dddddd;
	border-bottom: 1px solid #777;
}
.enc_tbl table tr
{
	border-bottom: 1px solid #fff;
	background: #efefef;
}
.enc_tbl table tr.odd, .enc_tbl .db_readonly
{
	padding: 4px;
	background: #f4f6f8;
	background: #f1f1f1;
	background: #efefef;
}
.enc_tbl table tr.even
{
	padding: 4px;
	background: #ffffff;
	background: #fafafa;
	background: #e9e9e9;
}
.enc_tbl table tr:hover
{
	background: #fcffb8;
	background: #d5d9d3;
}
.enc_tbl table tr:hover td.verthead
{
	background: #415b75;
}
.header_input_notes { color: #ccc; }

.enc_tbl input.text
{
	width: 200px !important;
	border: 1px solid #555;
	padding: 3px;
}
.enc_tbl input.srch_text
{
	border: 1px solid #555;
	padding: 3px;
}
.enc_tbl textarea
{
	border: 1px solid #555;
	padding: 3px;
}
.enc_tbl textarea.shorttext
{
	width: 300px;
	height: 50px;
}
.enc_tbl textarea.mediumtext
{
	width: 300px;
	height: 80px;
}
.enc_tbl textarea.longtext
{
	width: 300px;
	height: 200px;
}
.enc_tbl .readonly
{
	margin-left: 5px;
}
#database_deleter
{
	margin: 30px 0;
	padding: 0;
}
.database_header_note
{
	max-width: 500px;
	margin: 20px auto;
}
.enc_create_tbl table
{
	/* width: auto; */
}
.enc_create_tbl th, .enc_create_tbl td,
.enc_edit_tbl th, .enc_edit_tbl td
{
	text-align: left;
}
.enc_create_tbl td.button, .enc_edit_tbl td.button
{
	text-align: center;
}

.db_search
{
	border: 1px solid #777;
	padding: 7px;
	margin: 25px auto;
	background: #efefef;
	text-align: left;
}
.db_search #search_title
{
	font-weight: bold;
	font-size: 10pt;
	color: #555;
	text-decoration: underline;
}
.db_search #search_title:hover
{
	cursor: pointer;
}
.db_search table
{
	width: 100%;
	text-align: left;
	border-collapse: collapse;
	margin: 5px 0;
}
.db_search th
{
	background-color: transparent;
}
.db_search a
{
	color: #444 !important;
	text-decoration: none;
}
.db_search input.srch_text
{
	border: 1px solid #555;
	padding: 3px;
	width: 91%;
}
#db_search_form
{
	margin: 0;
	padding: 0;

	/* hidden by default: */
	/*
	position: absolute;
	left: -7000px;
	height: 0;
	overflow: hidden;
	*/
}
#db_search_form_reset_button
{
	
}


.pagelinks
{
	/* font-size: 10pt; */
	cursor: default;
}
.pagelinks .links
{
	display: inline-block;
	margin-top: 10px;
	background: #efefef;
	border: 1px solid #ccc;
	padding: 5px;
}
.pagelinks .links span, .pagelinks .links a
{
	display: block;
	float: left;
	padding: 6px 11px;
	border-right: 1px solid #ccc;
}
.pagelinks .links span.last, .pagelinks .links a.last
{
	border-right: 0;
}
.pagelinks .disabled
{
	cursor: default;
	color: #999;
}
.pagelinks .current
{
	cursor: default;
	color: #999;
}
#fcbody .pagelinks .links a
{
	color: #1E90FF;
	color: #333;
	text-decoration: none;
}
#fcbody .pagelinks .links a:hover
{
	background: #d5d9d3;
	text-decoration: none;
}
.pagelinks .text
{
	line-height: 16pt;
	vertical-align: middle;
	background: #efefef;
	display: inline-block;
	padding: 6px 12px;
	border: 1px solid #ccc;
}
.pagelinks .bookend
{
	display: none;

	font-size: 16pt;
	font-family: serif;
	color: #676767;
	margin: 0 5px;
	vertical-align: top;
}
.pagelinks .disabled
{
	/* text-decoration: line-through !important; */
}


.encdb_imgpkr_chosen, .encdb_imgpkr_all, .encdb_imgpkr_upload
{
	border: 1px solid #999;
	background: rgba(255,255,255,0.70);
}
.encdb_imgpkr_image_block img		{ border: 1px solid #555; }
.encdb_imgpkr_viewmode_thumb		{ border: 1px solid #000; }

.encdb_filpkr_chosen, .encdb_filpkr_all, .encdb_filpkr_upload
{
	border: 1px solid #999;
	background: rgba(255,255,255,0.70);
}
.encdb_filpkr_file_block img		{ border: 1px solid #555; }
.encdb_filpkr_viewmode_thumb		{ border: 1px solid #000; }


.encmenu { border: 1px solid #777; margin: 5px auto 20px auto; max-width: 400px; text-align: center; }
.encmenu a, .encmenu div.text { display: block; padding: 5px; border: 0; color: #000 !important; border-top: 1px solid #fff; text-decoration: none; }
.encmenu a.odd,  .encmenu div.odd  { background: #efefef; }
.encmenu a.even, .encmenu div.even { background: #e9e9e9; }
.encmenu a:visited { border: 0; border-top: 1px solid #fff; }
.encmenu a.first, .encmenu a.first:visited { border: 0; }
.encmenu a:hover { background: #d5d9d3; text-decoration: none; }
.encmenu .header { background: #507090; color: #fff; font: bold 8pt sans-serif; padding: 12px; }
.encmenu div.text { font-weight: bold; }


/* not yet in use: */
.encdatepicker
{
	min-width: 150px;
	min-height: 100px;
	max-width: 250px;
	max-height: 200px;
	padding: 10px;

	border: 1px solid #777;
	background: #ddd;
}


.encpopup
{
	width: 100%;
	height: 100%;
	position: fixed;
	top: 0;
	left: 0;
	/* Doesn't work in IE pre-v9: */
	/* background: rgba(0, 0, 0, 0.3); */
	background: url(%PREF{app_images_url}/bg-black-50pct-transparent.png) top left repeat;
}
.encpopup_inner
{
	border: 1px solid #000;
	background: #fff;
	color: #333;
	padding: 10px;
	text-align: left;
	width: 300px;
	min-height: 80px;
	margin: 25% auto 0 auto;
}
.encpopup_buttons
{
	margin-top: 20px;
	text-align: right;
}


.enc_tablestyle_b { border-color: #bbb; }
.enc_tablestyle_b th { background: #e8e8e8; }
.enc_tablestyle_b tr.even { /* background: #f7f7f7; */ }
.enc_tablestyle_b tr { background: #f7f7f7; }
.enc_tablestyle_b tr { border-top-color: #bbb; }

.enc_box_a { border-color: #999; background: #eaeaea; color: #444; }


.encoverlayA
{
	position: fixed;
	bottom: 10px;
	left: 10px;
}
.encoverlayA_inner
{
	border: 1px solid #000;
	background: rgb(50, 50, 50); /* Fallback for IE pre-v9 which doesn't support rgba(). */
	background: rgba(20, 20, 20, 0.9);
	color: #fff;
	padding: 5px;
	text-align: left;
	width: 300px;
	min-height: 40px;
}
.encoverlayA_ctrl
{
	position: absolute;
	top: 2px;
	right: 2px;
	background: #000;
}
.encoverlayA_ctrl a
{
	color: #ddd;
	font-weight: bold;
	text-decoration: none;
	display: inline-block;
	padding: 1px 3px;
	outline: none;
}

`;









# PREFs Section C: Common Settings (used by multiple Encodable apps)
############################################################################
# Styling for dark theme:
#
$PREF{css_shared_dark} = qq`

#enc_server_info table, #enc_prefs_list table { text-align: left !important; }

.enc_tbl
{
	border: 1px solid #666;
	margin: 10px auto;
}
.enc_tbl table
{
	border-collapse: separate;
	border-spacing: 0;
	border: 0;
	background: #333;
	width: 100%;
	margin: 0;
	font-size: 8pt;
	text-align: center !important;
}
.enc_tbl table th
{
	padding: 9px;
	background: #555;
	color: #fff;
}
.enc_tbl td.verthead
{
	padding: 9px;
	background: #555;
	color: #fff;
	width: 30%;
	font-weight: bold !important;
}
.enc_tbl table th a, .enc_tbl td.verthead a, .enc_tbl td.verthead a:visited
{
	color: #fff !important;
	text-decoration: none;
}
.enc_tbl table td a, .enc_tbl table td a:visited
{
	color: #fff !important;
	border: 0;
}
.enc_tbl table td
{
	padding: 7px;
	border-bottom: 1px solid #222;
}
.enc_tbl table td.verthead, .enc_tbl table td.vertcell
{
	border-bottom: 1px solid #999;
}
/* For groups of related fields all in a row, make it easier to see that they're */
/* part of a group, by styling them together a bit differently than the others:  */
.enc_tbl table tr.group_odd td.verthead
{
	background: #406080;
	border-bottom: 1px solid #777;
}
.enc_tbl table tr.group_odd td.vertcell
{
	background: #dddddd;
	border-bottom: 1px solid #777;
}
.enc_tbl table tr
{
	border-bottom: 1px solid #222;
	background: #333;
}
.enc_tbl table tr.odd, .enc_tbl .db_readonly
{
	padding: 4px;
	background: #333;
}
.enc_tbl table tr.even
{
	padding: 4px;
	background: #333;
}
.enc_tbl table tr:hover
{
	background: #444;
}
.enc_tbl table tr:hover td.verthead
{
	background: #444;
}
.header_input_notes { color: #aaaaaa; }


.enc_tbl input.text
{
	width: 200px !important;
}
.enc_tbl input.text, .enc_tbl textarea, .enc_tbl input.srch_text
{
	border: 1px solid #666;
	background: #000;
	color: #bbb;
	padding: 3px;
}
.enc_tbl textarea.shorttext
{
	width: 300px;
	height: 50px;
}
.enc_tbl textarea.mediumtext
{
	width: 300px;
	height: 80px;
}
.enc_tbl textarea.longtext
{
	width: 300px;
	height: 200px;
}
.enc_tbl .readonly
{
	margin-left: 5px;
}
#database_deleter
{
	margin: 30px 0;
	padding: 0;
}
.database_header_note
{
	max-width: 500px;
	margin: 20px auto;
}
.enc_create_tbl table
{
	/* width: auto; */
}
.enc_create_tbl th, .enc_create_tbl td,
.enc_edit_tbl th, .enc_edit_tbl td
{
	text-align: left;
}
.enc_create_tbl td.button, .enc_edit_tbl td.button
{
	text-align: center;
}


.pagelinks
{
	/* font-size: 10pt; */
	cursor: default;
}
.pagelinks .links
{
	display: inline-block;
	margin-top: 10px;
	background: #444;
	border: 1px solid #666;
	padding: 5px;
}
.pagelinks .links span, .pagelinks .links a
{
	display: block;
	float: left;
	padding: 6px 11px;
	border-right: 1px solid #ccc;
}
.pagelinks .links span.last, .pagelinks .links a.last
{
	border-right: 0;
}
.pagelinks .disabled
{
	cursor: default;
	color: #999;
}
.pagelinks .current
{
	cursor: default;
	color: #999;
}
.pagelinks .links a
{
	color: #1E90FF;
	color: #333;
	text-decoration: none;
}
.pagelinks .links a:hover
{
	background: #333;
	text-decoration: none !important;
}
.pagelinks .text
{
	line-height: 16pt;
	vertical-align: middle;
	background: #444;
	display: inline-block;
	padding: 6px 12px;
	border: 1px solid #666;
}
.pagelinks .bookend
{
	display: none;

	font-size: 16pt;
	font-family: serif;
	color: #676767;
	margin: 0 5px;
	vertical-align: top;
}
.pagelinks .disabled
{
	/* text-decoration: line-through !important; */
}


.encdb_imgpkr_chosen, .encdb_imgpkr_all, .encdb_imgpkr_upload
{
	border: 1px solid #999;
	background: rgba(255,255,255,0.70);
}
.encdb_imgpkr_image_block img		{ border: 1px solid #555; }
.encdb_imgpkr_viewmode_thumb		{ border: 1px solid #555; }

.encdb_filpkr_chosen, .encdb_filpkr_all, .encdb_filpkr_upload
{
	border: 1px solid #999;
	background: rgba(255,255,255,0.70);
}
.encdb_filpkr_file_block img		{ border: 1px solid #555; }
.encdb_filpkr_viewmode_thumb		{ border: 1px solid #555; }


.encmenu { border: 1px solid #666; margin: 5px auto 20px auto; max-width: 400px; text-align: center; }
.encmenu a, .encmenu div.text { display: block; padding: 5px; border: 0; color: #aaa !important; border-top: 1px solid #222; text-decoration: none; }
.encmenu a.odd,  .encmenu div.odd  { background: #333; }
.encmenu a.even, .encmenu div.even { background: #333; }
.encmenu a:visited { border: 0; border-top: 1px solid #222; }
.encmenu a.first, .encmenu a.first:visited { border: 0; }
.encmenu a:hover { background: #444; text-decoration: none; }
.encmenu .header { background: #555; color: #fff; font: bold 8pt sans-serif; padding: 12px; }
.encmenu div.text { font-weight: bold; }


.enc_tablestyle_b { border-color: #666; }
.enc_tablestyle_b th { background: #555; color: #fff; }
.enc_tablestyle_b td { color: #fff; }
.enc_tablestyle_b tr.even { /* background: #f7f7f7; */ }
.enc_tablestyle_b tr { background: #333; border-top-color: #666; }

.enc_box_a { border-color: #666; background: #333; }

`;
